Overview of Instant Text EXP

The Purpose of Instant Text

Instant Text is a software program for very fast text entry.

Using Instant Text, you type abbreviations that are tailored to the subject of your current text. So you end up typing a much smaller number of characters. Once you are familiar with the product, a slow typist will type comfortably fast. A fast one could type faster than speech. A few hours of practice is the only requirement.

How Instant Text works

To understand how this works, the key concepts of Instant Text are explained below:

  • Typing Context

  • Short Form

  • Glossaries

  • Glossary Viewer

  • Expansion Table

  • Glossary List

  • Current Glossary

  • Expanding Abbreviations

  • Continuations

  • Typo Corrections

  • Automatic Spacing

  • Automatic Capitalization


Typing Context

When linked to a Client Application, Instant Text keeps track of the Typing Context, i.e.

  • the last character you typed,
  • the last abbreviation you typed,
  • and furthermore, even the last words you typed.

It is essential, as it is the driver for the main Instant Text productivity features:

  • Expansions are suggested on the basis of the last abbreviation you typed.
  • Continuations are suggested on the basis of the last words you typed.
  • Typos are corrected on the basis of the last word or words you typed.
  • Automatic Spacing is applied depending on the last character you typed.
  • Automatic Capitalization is applied depending on the last character you typed.

Typing Context Reset

There are several cases where the Typing Context gets reset. For example:

  • when you press your Shift Space Reset Typing Context Hotkey
  • when you type a keyboard shortcut using the Ctrl key
  • when you type a keyboard shortcut using the Alt key
  • when you press the Escape key
  • when you press one of the arrow keys: Up, Down, Left, Right
  • when you press one of the navigation keys: Home, End, PageUp, PageDown
  • when you click somewhere with your mouse
  • when you switch to another window

When the Typing Context is reset:

  • Instant Text forgets about everything that was typed before,
  • the Expansion List gets cleared,
  • and Instant Text starts to keep track of the Typing Context anew, from there on.

There are some cases, where you can take advantage of this Typing Context Reset, for example:

  • when you want to type a Marker Key without expanding,
  • or to avoid the capitalization of the next letter.

Note that one way to reset the Typing Context is via an expansion, using the Reset Typing Context directive.


Expansions

Expansions enable you to produce more text with fewer keystrokes.

Moreover, with Instant Text Commands, expansions can produce more than text.

With its unique Glossary Ecosystem and its user-friendly Expansion Table, you are able to boost your productivity with little memorization.

Working with Instant Text you will quickly get used to the following 2-step "reach and trigger" approach: as an Instant Text user you are constantly thinking about the best way to reach the expansion you are longing for, the first step being to type whatever characters it takes until your target expansion gets displayed in the expansion table.

Once your target expansion is in sight, if it is on top position it is a no-brainer, you just expand it using a Trigger Key. Else you have the 3 possibilities to move the highlight.

  1. Add an extra letter, a relevant one, that will help your target expansion move to the top position.
  2. Use the line number selection.
  3. Or else use expansion table navigation hotkeys.

Example

Imagine we have typed chat:

If our intention is to reach the phrase Contractor hereby agrees to, it is already highlighted at that point, and we may simply press a Marker Key to trigger the expansion.

If we want to reach the word characteristics, we may simply type one more letter, one of the remaining characters displayed in red or type 2 for line 2, and press a Marker Key to trigger the expansion.

Finally, if our intention is just to type the word chat, we can press the space bar and continue typing.


Expansion Options

The Expansion page lets you configure the Expansion features.

Expansion Display

It is highly recommended to allow skipping letters inside short forms, immediately after the first character. This option enables you to reach an expansion even if you have skipped letters of its short form, eliminating thereby the need to memorize exact abbreviations.

Expansion Triggers

Here you can specify the Expansion Triggers you want to use to expand the highlighted expansion in the Expansion Table.

Continuations

Suggest Continuations

Check this checkbox if you want Instant Text to suggest Continuations to what you type or expand.

Minimum Words Before Continuation

You can use this option to set the minimum number of words Instant Text should use as context for suggesting continuations. If you set this value higher, you will have fewer continuations, but they will likely be more plausible. This number must be between 2 and 5.

Minimum Continuation Length

You can use this option to set a minimum number of characters for displayed continuations. This number must be between 1 and 16.


Expansion Triggers

One early decision to make, when you start using Instant Text, is how you want to trigger expansions.

Choosing Marker Keys or Expander Keys

When you have typed an abbreviation, and the expansion you are looking for is highlighted in the Expansion Table, you may trigger it with two distinct types of Trigger Keys:

  • Marker Keys expand and then disappear.
  • Expander Keys expand and then get appended.

For example, if we have typed iac for in any case then typing iac; will yield:

  • in any case if the semicolon is configured as a Marker Key.
  • in any case; if the semicolon is configured as an Expander Key.

Marker Keys provide a more powerful method of working with Instant Text. They give you a better control on when to expand, making accidental expansions less likely.

With Expander Keys, unless you type the exact short form, you will always need an extra step to highlight the entry you want to expand. With Marker Keys you can often spare this extra‑step.

Continuations are also easier to expand with Marker Keys

So unless you are already very committed to habits developed while using another expansion program, we highly recommend to expand using Marker Keys.


Continuations

Continuations come as a bonus. Instant Text is often able to suggest continuations that are most likely to follow the last two words most recently entered. Selection of a continuation is done the same way as for expansions by typing a Marker key. In case you use the space bar to expand, you need to use the line number selection followed by a space, to expand the continuation on the chosen line.

The last two words most recently entered can be words that you typed in full, or words that come from the expansion of an abbreviation or the selection of a previous continuation.

Displaying continuations

Continuations are displayed by default. They can be disabled in the Expansion Options.

Example

In the following example we assume that we are using our Contract glossary.

After typing ico, the expansion table displays:

Let us expand the highlighted expansion in consideration of by typing the ; marker.

The Expansion Table now displays the most likely continuations for in consideration of:

So we select again the first expansion by typing the ; marker.

And the Expansion Table now contains continuations for in consideration of the mutual:

and likewise, after selecting the first row, another list of continuations will be suggested:

and so on... You may end up having typed:

ico;;;;;;;;;;;

and obtain the expansion:

In consideration of the mutual covenants and other good and valuable consideration

This did not require us to remember any abbreviation and the choices were made step by step at the speed of a glimpse (which is quite fast). Note that this represents a great reduction of keystrokes.


Clauses

Clauses are fragments of text contained in your glossary entries. They are used to propose plausible continuations.


Typo Corrections

Instant Text also corrects your typos.

For example, you type wiht followed by a space and Instant Text corrects it automatically into with followed by a space, because wiht is a typo with a correction of with that is defined in the Typo Glossary, the special dedicated glossary for Typo Corrections.

To some extent, Typo Corrections can be seen as the expansion of a Typo into a Correction:

Typo | Correction
wiht | with

Typo Corrections can be triggered by any non-alphanumeric character, other than the hyphen and the underscore, regardless of your Expansion Triggers.

Typo Corrections will never preempt a potential expansion. If you type wiht; and have a potential expansion for wiht; displayed in the Expansion Table, it will be expanded: expansions have priority over Typo Corrections.

As the Typo Glossary is mainly designed for the sake of correcting unintentional typos, potential Typo Corrections are not displayed in the expansion table.

You can view and edit the Typo Glossary in the Glossary Viewer, using the View Typo Glossary menu item in the Glossary Menu.

If you don't want Typo Corrections, you can deactivate the Typo Glossary, using the Deactivate Typo Glossary menu item in the Glossary Menu.


Automatic Spacing

Enabling Automatic Spacing under Automatic Spacing Options allows Instant Text to automatically add spaces after punctuation marks and expansions.

Spacing after Punctuation Marks

The number of spaces added after a punctuation mark can be configured in the Automatic Spacing Options.

Spacing after Expansion

The number of spaces added after an expansion is dictated by the last character of the expansion:

Last Character | Number of Spaces added
punctuation mark | as specified under Automatic Spacing Options
whitespace | 0
any other character | 1

Tentative spaces

The spaces added by Instant Text are called tentative spaces, because Instant Text may still remove them automatically afterwards, if the key you type next indicates that they were most probably unwanted.

For example, if you type three periods in a row, you will notice that Instant Text will remove the tentative spaces inserted after the first and the second period. Typing numbers or times, are also cases where you will see that Instant Text removes the tentative spaces after the period, the comma or the colon. Type the following items, slowly, just to see how Instant Text adds and removes tentative spaces, while you type:

... 98.7 100,000 7:30 am

Unwanted Spacing

In case Instant Text is not able to guess, that Automatic Spacing is indeed unwanted, you may either avoid it by temporarily toggling it off, and then back on again, or you may let Instant Text add the spaces and remove them yourself, on the fly, by backspacing.

Inhibit Spacing after an Expansion

You can inhibit Automatic Spacing after an expansion, with a No Spacing After Expansion directive.

Inhibit Spacing after a Punctuation

You can selectively turn off Automatic Spacing completely for a given punctuation mark, by specifying zero as the number of spaces to be added, in the Automatic Spacing Options.

See also: Typing Acronyms


Automatic Capitalization

Enabling Automatic Capitalization under Automatic Capitalization Options allows Instant Text to automatically capitalize the first letter after a period, a question mark, an exclamation mark, and optionally after enter, tabs and colons.

Capitalization after Expansion

Capitalization after an expansion is dictated by the last character of the expansion.

Last Character | Capitalization takes place?
Period Question mark Exclamation mark | Yes
Enter Tab Colon | as specified under Automatic Capitalization Options
Any other character | No

Capitalizing Expansions

Typing the abbreviation with a specific case enables you to convey the case you want for the expansion.

  • If the abbreviation is capitalized, Instant Text will also capitalize the expansion.
  • If the abbreviation is all uppercase, Instant Text will also produce the expansion all uppercase.
Abbreviation | Expanded into
aaq | answer any question
Aaq | Answer any question
RGY | RADIOLOGY

Unwanted Capitalization

In case Automatic Capitalization is unwanted, you may either avoid it by temporarily toggling it off, and then back on again, or you may reset the typing context before the capitalization takes place.

Inhibit Capitalization after an Expansion

You can inhibit Automatic Capitalization after an expansion, with a No Capitalization After Expansion directive.

See also: Typing Acronyms


Automatic Spacing and Capitalization Options

Spacing & Capitalization Options

The Spacing & Capitalization page lets you configure Automatic Spacing and Automatic Capitalization.

Spacing and Capitalization Options

Automatic Spacing

Check the Enable Automatic Spacing checkbox, if you want Instant Text to insert spaces after punctuation marks. If checked, you can specify between 0 and 9 spaces after each punctuation mark. Setting a 0 value, enables you to selectively turn off Automatic Spacing for a given punctuation mark.

Automatic Capitalization

Check the Enable Automatic Capitalization checkbox, if you want Instant Text to capitalize after:

  • periods,
  • question marks,
  • and exclamation marks.

Check the corresponding checkbox, to have automatic capitalization also apply after:

  • enter,
  • tabs,
  • and colons.


Glossary

The Instant Text glossary ecosystem has several types of glossaries, active in parallel, while you type:

  • The Current Glossary, always an Expansion Glossary, is used to expand abbreviations.
  • The Shield Glossary helps you avoid unwanted expansions when you use Expander Keys.
  • The Hotkey Glossary is used to expand hotkeys.
  • The Typo Glossary is used to correct your typos.

The Pick, Snippet and Variable glossaries are repositories for pick lists, snippets and variables that can be referenced inside expansions.

At an abstract level, a glossary can be seen as a set of glossary entries which establish a link between a key and an expansion, and the semantic of the key depends on the glossary type:

Glossary Type | Key
Expansion Glossary | Short
Shield Glossary | Short
Hotkey Glossary | Hotkey
Typo Glossary | Typo
Pick Glossary | Pick name
Snippet Glossary | Snippet name
Variable Glossary | Variable name


Glossary Type

Instant Text has several types of glossaries. Each glossary type serves a specific purpose:

Glossary Type | Purpose
Expansion Glossary | Define expansions that get triggered by typing an abbreviation, followed by an expansion trigger key.
Shield Glossary | Protect from unwanted expansions when typing real words that collide with short forms used in your current glossary.
Hotkey Glossary | Define expansions that get triggered by pressing a key or key combination.
Typo Glossary | Define corrections for typos.
Pick Glossary | Define pick lists that you can reference inside glossary entries via Pick commands.
Snippet Glossary | Define snippets that you can reference inside glossary entries via Snippet commands.
Variable Glossary | Define variables that you can reference inside expansion text or command parameters.

While in the learning phase, you will first concentrate on Expansion Glossaries. You may study the purpose of Pick, Snippet and Variable glossaries at a later point when you feel the need for it.


Expansion Glossary

An expansion glossary is a set of expansions that can be produced

  • by typing an abbreviation,
  • followed by an expansion trigger key.

Expansion Glossary Entry

An expansion glossary entry consists of:

  • a short form,
  • an expansion,
  • and an optional display form.

An expansion glossary can have entries with duplicate short forms.

Short Form

The short form can contain:

  • letters,
  • numbers,
  • hyphens and underscores.

It defines the scope of possible abbreviations.

Expansion

The expansion is what Instant Text should produce upon expanding the entry. It can contain:

  • text
  • formatted text
  • keys and key combinations
  • commands

Display Form

When defined, the display form is the text displayed in the Expansion column of the following tables:

  • Expansion Table
  • Glossary Viewer Entry Table

When no display form is defined, the expansion is displayed instead.


Shield Glossary

A Shield Glossary defines a set of expansions where the expansion matches the short form.

You may wonder what is the point? These expansions are there to prevent unwanted expansions for those who use Expander keys, for example the space bar. If you are using exclusively Marker keys to expand, you may as well skip this page.

An example is probably the best way to show how it works.
Imagine you have the following glossary entry in your Current Glossary:

Short | Expansion
am | a.m.

You will be able to type 8 am and get 8 a.m., sparing the 2 keystrokes for the periods.

Very practical for typing times.

On the other hand, if you want to type I am happy, you will be rather unhappy if you end up with I a.m. happy!

To avoid this you need the following shield:

Short | Expansion
am | am

The Shield Glossary Shell

The Shield Glossary Shell is the Shield Glossary that contains all active shields: in order for a Shield Glossary to be active, it needs to be included in the Shield Glossary Shell.

To protect you from unwanted expansions, Instant Text always includes the Shield Glossary Shell at the top of your current glossary so that the shields are always displayed at the top of the Expansion Table:

Hence you can type am followed by a space, without fearing to end up with an unwanted expansion.

To expand am into a.m., use the line number selection and type am followed by the digit 2 and a space.

The Shield Glossary Shell has a fixed location and a reserved name: Glossary\#Shields.xglo

Viewing the Shield Glossary Shell

You can view and edit the Shield Glossary Shell in the Glossary Viewer using the View Shield Glossary menu item in the Glossary Menu.

The Shield Glossary Shell comes with entries for short words such as we, as, is, on, of... You should add all small words, that you end up using also as an expansion short form. Thereby you will avoid unwanted expansions.


Hotkey Glossary

A Hotkey Glossary defines a set of expansions triggered simply by pressing a key or a key combination.

A Hotkey Glossary Entry consists of:

  • a hotkey which is the key or key combination that triggers the expansion,
  • the expansion that is triggered when the hotkey is pressed,
  • and an optional display form which is only displayed in the Glossary Viewer Entry Table.

Hotkey Glossary Entries are never displayed in the Expansion Table.

The Hotkey Glossary Shell

The Hotkey Glossary Shell is the Hotkey Glossary that contains all active hotkeys: in order for a Hotkey Glossary to be active, it needs to be included in the Hotkey Glossary Shell.

The Hotkey Glossary Shell has a fixed location and a reserved name: Glossary\#Hotkeys.xglo

Viewing the Hotkey Glossary Shell

You can view and edit the Hotkey Glossary Shell in the Glossary Viewer using the View Hotkey Glossary menu item of the Glossary Menu.

Deactivating the Hotkey Glossary Shell

You can deactivate the Hotkey Glossary Shell, and thereby turn off hotkeys completely, by using the Deactivate Hotkey Glossary menu item of the Glossary Menu.

A Note on Hotkeys inside Expansions

When linked to a Client Application, whenever you press a hotkey that is defined in your Hotkey Glossary, Instant Text preempts it and immediately produces the specified expansion. For example, when you press the Alt = Add Glossary Entry Hotkey, Instant Text opens the Add Glossary Entry window.

Note however that when Instant Text produces {Alt =} as a command inside an expansion it lets the Client Application interpret Alt =.

Instant Text does not interpret keystrokes it produces, only keystrokes you type.


Typo Glossary

A Typo Glossary defines a set of typos that you want Instant Text to correct.

A Typo Glossary Entry consists of:

  • a typo,
  • its correction,
  • and an optional display form which is only displayed in the Glossary Viewer Entry Table.

Unlike Expansion Glossary Entries, Typos are never displayed in the Expansion Table.

Typo corrections can be triggered by any non-alphanumeric character regardless of your Expansion Triggers.

Typos are mainly used for correcting unintentional typos. The following typo for example:

Typo | Correction
teh | the

ensures that typing teh followed by a space will automatically be corrected into the followed by a space.

Typos can also be used to have Instant Text automatically correct the case of a word you typed in lowercase, so that you don't have to bother using the Shift key. Here are some example of lazy shift typos:

Typo | Correction
i | I
ekg | EKG
lasix | Lasix

Finally, you can also use typos for some expansions that are so hardwired in your brain, that you don't see the need to display them in the Expansion Table and expand them explicitly using a marker key. In the following examples, we use typos as expansions:

Typo | Correction
bp | blood pressure
pb | problem

Be careful, nevertheless, not to overuse typos for expansions that would rather belong to your Expansion Glossaries of the Glossary List.

The Typo Glossary Shell

The Typo Glossary Shell is the Typo Glossary that contains all active typos: in order for a Typo Glossary to be active, it needs to be included in the Typo Glossary Shell.

The Typo Glossary Shell has a fixed location and a reserved name: Glossary\#Typos.xglo

Viewing the Typo Glossary Shell

You can view and edit the Typo Glossary Shell in the Glossary Viewer using the View Typo Glossary menu item of the Glossary Menu.

Deactivating the Typo Glossary Shell

You can deactivate the Typo Glossary Shell, and thereby turn off typos completely, by using the Deactivate Typo Glossary menu item of the Glossary Menu.


Pick Glossary

A Pick Glossary is a special glossary that serves as a repository for Pick List Items. A Pick List can be displayed in the Expansion Table using a Pick command.

A Pick Glossary Entry, also called a Pick List Item, has:

  • a Pick Name that identifies the Pick List to which it belongs,

  • an expansion that is to be produced when the Pick List Item is picked.

  • an optional display form that is the text displayed in the Expansion Table, as for an expansion glossary entry.

A Pick List is a set of Pick List Items that share the same Pick Name.

In the following example the entries with a little square bullet are the items of the Pick List named color. The highlighted entry, surrounded by a rectangular outline, is the one that has the focus: it can be edited, deleted or moved.

A glossary entry can refer to the Pick List color, using the Pick command, as shown in the following example:

Short | Expansion
mfc | My favorite car is {Pick}color{/Pick}

Expanding mfc produces My favorite car is and the Pick List color is displayed in the Expansion Table, enabling you to pick one of the suggested colors:

Pick List example

The Pick Glossary Shell

The Pick Glossary Shell is the Pick Glossary that contains all active pick lists: in order for a Pick Glossary to be active, it needs to be included in the Pick Glossary Shell.

The Pick Glossary Shell has a fixed location and a reserved name: Glossary\#Picks.xglo

Viewing the Pick Glossary Shell

You can view and edit the Pick Glossary Shell in the Glossary Viewer using the View Pick Glossary menu item of the Glossary Menu.


Snippet Glossary

A Snippet Glossary defines a set of expansions that can be referenced across multiple other expansions.

A Snippet Glossary Entry consists in:

  • a snippet name that uniquely identifies the snippet,

  • an expansion to be produced when the snippet is referenced in another expansion,

  • an optional display form, that is only displayed in the Glossary Viewer Entry Table.

A Snippet Glossary does not accept duplicate snippet names.

How do you reference a snippet inside an expansion?

You can reference a snippet using its snippet name inside an expansion with the Snippet command.

The following "Support Signature" snippet, for example:

    Snippet name | support-signature
Expansion | Instant Text Customer Support Textware Solutions support@textware.com www.textware.com
Display as | Support Signature

can be referenced in the following expansion glossary entries:

  1. Short | dyhasg
    Expansion
    Our Short Guide at:
    https://textware.com/it9pro/help/getting_started.htm
    can help you get started in a few minutes.

    {Snippet}support-signature{/Snippet}
    Display as | Do you have a Short Guide?
  2. Short | dyhaf
    Expansion
    If you have any questions you can visit our Forum at
    http://www.textware.com/board/InstantTextEXP/index.html

    {Snippet}support-signature{/Snippet}
    Display as | Do you have a Forum?

At expansion time when Instant Text encounters a snippet command it looks up the referenced snippet in the Snippet Glossary and expands the corresponding expansion.

What is the purpose of referencing a snippet inside an expansion?

Imagine we had hardcopied our support signature in our

  • "Do you have a Short Guide?",
  • "Do you have a Forum?",
  • and other expansion glossary entries,

instead of referencing the support-signature snippet.

If for one reason or another, we wanted to change our support signature, we would have to update all the expansion glossary entries where we have hardcopied it!

The advantage of a snippet is that it centralizes an expansion fragment. When you change the contents of a snippet, it impacts all the expansion glossary entries that reference it, at once.

The Snippet Glossary Shell

The Snippet Glossary Shell is the Snippet Glossary that contains all active snippets: in order for a Snippet Glossary to be active, it needs to be included in the Snippet Glossary Shell.

The Snippet Glossary Shell has a fixed location and a reserved name: Glossary\#Snippets.xglo

Viewing the Snippet Glossary Shell

You can view and edit the Snippet Glossary Shell in the Glossary Viewer using the View Snippet Glossary menu item of the Glossary Menu.


Variable Glossary

A Variable Glossary defines a set of variables that can be referenced inside expansion text and command parameters.

A Variable Glossary Entry consists in:

  • a variable name that uniquely identifies the variable,

  • a variable value that is to be used when the variable is referenced,

  • an optional display form, that is only displayed in the Glossary Viewer Entry Table.

Note that Variable Glossary Entries are never displayed in the Expansion Table, as they can only be referenced inside expansions.

A Variable Glossary does not accept duplicate variable names.

The Variable Glossary Shell

The Variable Glossary Shell is the Variable Glossary that contains all active variables: in order for a Variable Glossary to be active, it needs to be included in the Variable Glossary Shell.

The Variable Glossary Shell has a fixed location and a reserved name: Glossary\#Variables.xglo

Viewing the Variable Glossary Shell

You can view and edit the Variable Glossary Shell in the Glossary Viewer using the View Variable Glossary menu item of the Glossary Menu.


Prime Glossary

The Prime Glossary is a special Expansion Glossary with the following characteristics:

  1. It is automatically included in every expansion glossary.
  2. It is included before any other included expansion glossary.

This means that the entries of the Prime Glossary are accessible everywhere. Moreover, they will be displayed before entries stemming from other included expansion glossaries.

So the Prime Glossary is the ideal place where to put expansions that you want everywhere:

  • common words and phrases,
  • places,
  • people,
  • dates and times,
  • launch commands,
  • editing commands,
  • other commands,
  • etc.

The Prime Glossary has a fixed location and a reserved name: Glossary\#Prime.xglo

When viewing a glossary in the Glossary Viewer, you will see the Prime Glossary displayed at the top of the Includes Table. It is not displayed in the Edit Glossary Includes dialog because it can neither be unincluded nor repositioned: by design it is always there and at the top.

Viewing the Prime Glossary

You can view and edit the Prime Glossary in the Glossary Viewer using the View Prime Glossary menu item of the Glossary Menu.

Deactivating the Prime Glossary

You can deactivate the Prime Glossary, and thereby uninclude it from all glossaries by using the Deactivate Prime Glossary menu item of the Glossary Menu.


Short Form

The short form of an expansion glossary entry is the key to reach the corresponding expansion. It can contain:

  • letters 'a' to 'z',
  • numbers '0' to '9',
  • hyphens and underscores.

In most traditional softwares, the short form is the exact abbreviation you need to type, to reach the expansion.

Instant Text introduces more flexibility, by allowing you to skip letters inside the short form: an abbreviation must start with the first letter of the short form, and it must be a subset of letters of the short form, that appear in the same order. Stated in another way, the first letter is needed but you can drop several of the other letters.

As a result, a short form allows countless possible abbreviations to reach an expansion. Instead of defining a unique abbreviation, the short form defines a complete scope of possible abbreviations.

Word Short Forms

The best possible short form for a word is the word itself! This assertion may seem surprising.

A short form like virtually for a word expansion virtually seems rather long at first sight:

Short | Expansion
virtually | virtually

But don't get it wrong, with Instant Text, longer short forms don't imply longer abbreviations, they just enhance a larger scope of possible abbreviations. Here are just a few:

Abbreviation | Short | Expansion
v r t | v i r t u a l l y | virtually
v i r t | v i r t u a l l y | virtually
v r t l | v i r t u a l l y | virtually
v t l y | v i r t u a l l y | virtually
v i r y | v i r t u a l l y | virtually

With a traditional expander you would probably rather define virtly to expand into virtually, and that would be the sole abbreviation you could use, to reach that word.

As this example shows, the flexibility of Instant Text allows to reach the same expansion, with multiple possible abbreviations, requiring thereby less memorization.

Phrase Short Forms

The default convention for a multi-word expansion is to use the initial letters of each word, as in the following example:

Short | Expansion
iyhqona | if you have questions or need assistance

but there is no obligation to do so. You have complete freedom of choice, So you may also well define a short form like sos for this same phrase:

Short | Expansion
sos | if you have questions or need assistance


Abbreviation

An abbreviation is a sequence of alphanumeric characters that you type to reach expansions.

Instant Text keeps track of the last abbreviation you type, in order to suggest potential expansions in the Expansion Table.

Note that there is a subtle distinction between short forms and abbreviations.

The Short Form of an Expansion Glossary Entry is of course a possible abbreviation for that expansion.

But there is more to it, the short form defines a complete scope of possible abbreviations to reach an expansion. And don't get it wrong, long short forms do not not imply longer abbreviations. They just enhance a larger scope of possible abbreviations.


Short Form Rules

The Short Form Rules dialog enables you to tailor the rules used to assign short forms when adding new entries.

Instant Text computes short forms based on the words of an expansion.

Word Delimiters

Words inside an expansion are delimited by whitespace.

The Delimiters menu enables you to decide if you want hyphens and underscores to be considered as word separators too.

Checking the Delimiters → Capitals Separate Words menu item enables to separate words written using the camelCase and PascalCase naming conventions commonly used by programmers:

  • Fruits in basket is written as fruitsInBasket using camelCase.
  • Fruits in basket is written as FruitsInBasket using PascalCase

Substitutions

Prefix and Ending Substitutions can be added via the Substitutions menu.

These substitutions are applied to each word inside the expansion, prior to computing the short form, in order to influence the computation.

A substitution of the prefix ex by x, for example, will have the effect that all words starting with ex will have short forms that effectively start with x instead of e.

Note that substitutions are only there to influence the computation of short forms. They never alter your expansions.

Once Instant Text has

  1. parsed the words of an expansion
  2. internally performed the defined substitutions

it computes the short form by applying a rule which depends on the number of words.

Rule for 1 Word

  1. Click on the top ruler to select the number of leading characters you want to retain.
  2. Click on the bottom ruler to select the number of trailing characters you want to retain.

In the image below, we have clicked 4 on the top ruler and 2 on the bottom ruler:

which will result in short forms taking the 4 first and 2 last characters.

Clicking the top ruler * character has the effect that the short form retains all characters.

Given the fact that you can always skip characters inside short forms, this is undoubtedly the best choice.

Rule for 2 Words

Likewise, use the top and bottom rulers to specify the characters you want to retain.

You may specify a separator to separate the characters retained for each word.

Rule for 3 Words

Likewise, use the top and bottom rulers to specify the characters you want to retain.

You may specify a separator to separate the characters retained for each word.

Rule for 4 Words

Likewise, use the top and bottom rulers to specify the characters you want to retain.

You may specify a separator to separate the characters retained for each word.

Rule for 5 Words and More

For 5 words and more, only initial letters will be retained. You may specify the number of leading and trailing words that should be taken into consideration.

Test Your Own Rules

At the bottom of the window, you can enter an expansion and test your own rules!


Display Form

By default a glossary entry expansion is displayed in the Expansion Table when it is a potential expansion for the typed abbreviation. But there are cases where you may want to use the display form to display some alternate text.

You have complete freedom of choice for the display form. The idea is to use some text that conveys what expansion will be produced.

Examples

In the following example we have used the display form to add the comment *** addicted to chocolate ***.

In the next example we have emphasized *HER* in the display form, in order for our eyes to immediately distinguish this phrase from its variation using his instead of her.

Display forms are also ideal for glossary entries with commands. In the following example we defined a glossary entry with the keyboard shortcut Ctrl A and a display form of ~ Select All which will turn out to be a lot more readable in the Expansion Table than {Ctrl A}.

Note that here, as a convention we use a ~ prefix in our display form, so that when it pops up in the Expansion Table, we immediately recognize that it is a command entry. You are, of course, free to use your own convention for command display forms.


Glossary Viewer

The Glossary Viewer lets you view glossaries as a whole.

Moreover, it also contains all the bells and whistles to maintain your glossaries.

You can open the Glossary Viewer:

  • via the Glossary Menu View menu items,
  • by double clicking a glossary displayed in the Glossary Table,
  • or by using the Alt Shift = View Highlighted Expansion Hotkey.

Glossary Viewer Screen
Glossary Viewer Keyboard Shortcuts


Glossary Viewer Keyboard Shortcuts

The following table describes the keyboard shortcuts available in the Glossary Viewer:

Shortcut | Effect
Alt A | Add a glossary entry.
Alt C or Escape | Close the Glossary Viewer.
Alt D | Delete current entry.
Alt E | Edit current entry.
Alt H or F1 | Help.
Alt I | Edit Includes.
Alt M | Move current entry.
Alt N or F3 | Find next.
Alt O | Open a glossary.
Alt V or Shift F3 | Find previous.
Alt X | Close current tab
Alt Home | Move current entry to top.
Alt End | Move current entry to bottom.
Alt Up | Move current entry up.
Alt Down | Move current entry down.
Alt Right or Ctrl Tab | Navigate to next glossary tab.
Alt Left or Ctrl Shift Tab | Navigate to previous glossary tab.
Ctrl F or Ctrl S | Set focus on Find editor.
Ctrl G | Set focus on Group editor.
Ctrl T | Set focus on the Glossary Viewer Entry Table.
F5 | Show search history.
F6 | Toggle preview current entry.
F7 | Open include file of current entry.

The following table describes additional keyboard shortcuts that are available, when the focus is on the Glossary Viewer Entry Table.

Shortcut | Effect
A | Add an entry.
D or Delete key | Delete current entry.
E | Edit current entry.
F or S | Set focus on find editor.
G | Set focus on group editor.
H | Help.
I | Edit includes.
M | Move current entry.
N | Find next.
O | Open a glossary.
V | Find previous.
X | Close current tab
Application key | Popup current entry contextual menu.
Ctrl C | Copy glossary entry.
Ctrl V | Paste glossary entry.
Ctrl X | Cut glossary entry.


Glossary Viewer Screen

The following picture shows the Glossary Viewer screen elements:

Glossary Viewer Screen

Glossary Viewer Screen Elements

Title Bar
Menu Bar
Tab Bar
Side Bar
Entry Table
Preview Window
Find Bar
Status Bar


Glossary Viewer Title Bar

The Glossary Viewer Title Bar displays the name of the currently viewed glossary.

Glossary Viewer Title Bar


Glossary Viewer Tab Bar

The Glossary Viewer Tab Bar is similar to what you can see in most Web Browsers nowadays, where you can browse several URLs using separate tabs.

In the Glossary Viewer you can open several glossaries in parallel.

Glossary Viewer Tab Bar

Each open glossary gets its dedicated tab, labeled with its name. You can easily switch back and forth between tabs by pressing respectively Ctrl Shift Tab and Ctrl Tab.

Clicking the Tab Bar Open Button button lets you browse and select a glossary, opens that glossary, and assigns it a new tab.

Clicking the Tab Bar Close Button button closes the current tab.

Right-clicking a tab opens the following context menu:

Glossary Viewer Tab Context Menu

When you have more tabs open then can be displayed, some additional buttons will be shown:

Glossary Viewer Tab Bar Scrolling
  • The Tab Bar Scroll Left Button button scrolls the Tab Bar to the left.
  • The Tab Bar Scroll Right Button button scrolls the Tab Bar to the right.
  • The Tab Bar Select Tab Button button enables you to select the tab you want to view from an alphabetical list of all open tabs:
    Tab Bar Select Tab Menu


Glossary Viewer Entry Table

The Glossary Viewer Entry Table displays the entries of the glossary you are currently viewing:

Glossary Viewer Entry Table

The highlighted entry of the Glossary Viewer Entry Table is displayed with a surrounding rectangle:

Viewer Entry Table Highlighted Entry

The highlighted entry can be edited

  • via a double-click,
  • by clicking the Edit button on the Glossary Viewer Side Bar,
  • or simply by pressing Enter or E.

All the operations (Edit, Delete, Move, Transfer) that can be applied to the highlighted entry, can also be accessed via the Glossary Viewer Edit menu. A further alternative is the contextual menu that pops up when you right-click an entry:

Viewer Entry Table Contextual Menu

Entries from included glossaries appear with a colored background:

When the highlighted entry is an included entry, you may open the glossary it stems from, by pressing F7 or by selecting the Open Include menu item of the contextual menu that pops up upon right‑clicking the entry.


Glossary Viewer Side Bar

The Glossary Viewer Side Bar

Glossary Viewer Side Bar

provides some handy buttons for mouse users:

  • the Includes button to edit the includes of the viewed glossary,
  • the Add button to add a new glossary entry,
  • the Edit button to edit the highlighted glossary entry,
  • the Delete button to delete the highlighted glossary entry,
  • and the Move button to move the highlighted glossary entry.

Includes Table

The Includes Table gives a synthetic view of all glossaries that are included in the viewed glossary.

Note that it contains all includes defined in the Edit Glossary Includes dialog. It may also contain glossaries that got transitively included, because:

if A includes B and B includes C then C is also included in A.

The Includes Table displays the includes in the order in which they are included. And this order is important because glossary entries with the same short form are ordered with respect to that order.

The background color for a given include is the same as the color chosen in the Edit Glossary Includes dialog.

And the little cursor on the left points to the glossary the highlighted entry stems from.

Group Editor

The Group Editor enables you to quickly navigate to an entry with a given short form.

You type the characters of the short form you want to locate in the Group Editor and the highlight automatically moves accordingly. If there is no glossary entry with a short form that starts with the characters you typed, the background of the Group Editor turns red, and the highlight is moved to the alphabetical position where it would fit.


Glossary Viewer Preview Window

The Glossary Viewer Preview Window displays a preview of the highlighted entry of the Entry Table.

Its visibility can be toggled:

  • by pressing F6
  • or by checking, unchecking the View [image] Preview menu item.

In the following example the Preview Window displays a glossary entry which uses the Paste Rich Text command to produce formatted text:

The Preview Window is also convenient for previewing multi‑line entries:


Glossary Viewer Find Bar

The Glossary Viewer Find Bar enables you to search the currently viewed glossary.

Glossary Viewer Find Bar

You type the text you want to search in the Find Editor, and then click the Next or Previous button.

You may use anchors in the text to search:

  • the ^ anchor specifies that the following pattern must be at the beginning of the expansion.
  • the $ anchor specifies that the preceding pattern must be at the end of the expansion.

You may for example

  • find expansions starting with the word and using the ^ anchor: ^ anchor example
  • find expansions ending with the word and using the $ anchor: $ anchor example

Clicking the Find Editor arrow enables you to select a previous search:

Glossary Viewer Search History

For a case sensitive search, check the Match case checkbox.

If you want to search only for whole words, check the Whole words checkbox.

The following table describes useful keyboard shortcuts related to searching:

SHORTCUT | EFFECT
Ctrl F or Ctrl S | Set focus on Find Editor.
Alt N or F3 | Find next.
Alt V or Shift F3 | Find previous.
F5 | Show search history.

The following table describes additional keyboard shortcuts related to searching that are available when the focus is on the Glossary Viewer Entry Table.

SHORTCUT | EFFECT
F or S | Set focus on Find Editor.
N | Find next.
V | Find previous.


Glossary Viewer Status Bar

The Glossary Viewer Status Bar displays informations about the currently viewed glossary and glossary entry:

    Glossary Viewer Status Bar

The first three status bar panels display attributes of the currently viewed glossary:

  1. glossary type: Glossary Viewer Status Bar Panel 1
  2. number of glossary entries: Glossary Viewer Status Bar Panel 2
  3. number of clauses Instant Text has computed: Glossary Viewer Status Bar Panel 3

And the last status bar panel displays the path to the glossary that contains the highlighted entry:

    Glossary Viewer Status Bar Panel 4

Note that the highlighted entry may be an included entry, in which case the displayed path is the path of the included glossary.


Create New Glossary

To create a new glossary:

  1. Open the Glossary Viewer.
  2. Select the File → New... menu item.

  3. Choose the type of glossary you want to create:

    Create New Glossary
  4. Click OK.
  5. Choose a filename for the new glossary.
  6. And click the Save button.

At that point you have created a new glossary of the specified type.

You will now need to populate and activate it.


Add Glossary Entry

The quickest way to add a new glossary entry is to highlight the text you want to add, type Alt = and finally Enter to close the dialog.

Add Glossary Entry

Pressing the Alt = Add Glossary Entry Hotkey tells Instant Text to do the following actions:

  1. copy the selected text,

  2. open the Add Glossary Entry dialog,

  3. Paste the selected text into the Expansion editor.

  4. The Short form editor is automatically prefilled according to the defined Short Form Rules.

If the short form is what you want, type Enter to close the dialog.

You’ve just created a glossary entry in two keystrokes with Alt = and Enter and added it to the Current Glossary.

Otherwise, you can edit the short form. You can also edit the entry itself by typing Shift Tab to get to the Expansion editor. Typing Tab will propose a new short form, using the current contents. Again, typing Enter or clicking on the OK button closes the dialog, and adds the new entry to the glossary.

If you want the entry to be displayed in the Expansion Table with different text than the one to be expanded, you can use the Display Form for that purpose.

Using the Add Glossary Entry Menu, you can add more than text to your expansions.

Add a Formatted Entry

The quickest way to add a formatted entry is to highlight the formatted text you want to add:

and press the Ctrl Alt = Add Formatted Entry Hotkey which produces the Paste Rich Text command with the corresponding Rich Text for you:


Edit Glossary Entry

The dialog to edit an existing glossary entry is the same as the dialog to add an entry.

Edit Glossary Entry


Delete Glossary Entry

The Delete Glossary Entry dialog displays the glossary entry you want to delete, and gives you the opportunity to confirm or cancel the deletion:

Delete Glossary Entry


Transfer Glossary Entry

The Transfer Glossary Entry dialog displays the glossary entry you want to transfer, and gives you the opportunity to confirm or cancel the transfer:

Transfer Glossary Entry

Transferring a glossary entry:

  • deletes it from the source glossary,
  • and adds it to the target glossary.


Move Expansions

Move Expansion

Expansion Glossaries and Pick Glossaries can contain entries with duplicate short forms and pick names, respectively. The order of these entries can be rearranged, and the following example explains why it matters:

Consider the group of entries with a short form of tn in the GenMed glossary:

If you type tn while your current glossary is GenMed, the Expansion Table will display these entries in the exact same order as they are in the glossary.

Now, if you expand the next and the neck more often than tenderness noted, you may want to reorder these entries accordingly, so that the Expansion Table displays:

To do so, click on the Move button to open the Move Expansions dialog:

To change the position of an expansion, select it, and click on one of the positioning buttons:

Up | Moves the selected expansion up.
Down | Moves the selected expansion down.
Top | Moves the selected expansion to the top.
Bottom | Moves the selected expansion to the bottom.

If you want to sort the expansions alphabetically, simply click the Expansion header.

When you are done rearranging the expansions in the order you want, click on OK to close the dialog.

Moving Expansions Directly in the Glossary Viewer

As an alternative to the Move dialog, you can also move an entry directly from within the Glossary Viewer Entry Table with the following Glossary Viewer Keyboard Shortcuts:

Alt Up | Moves the selected Glossary Viewer entry up.
Alt Down | Moves the selected Glossary Viewer entry down.
Alt Home | Moves the selected Glossary Viewer entry to the top.
Alt End | Moves the selected Glossary Viewer entry to the bottom.

Moving Expansions Displayed in the Expansion Table

Another alternative to the Move dialog consists in defining dedicated hotkeys using the Move Highlighted Expansion commands, to move the highlighted Expansion Table entry:

{MoveHighlightedExpansionUp} | Moves the highlighted Expansion Table entry up.
{MoveHighlightedExpansionDown} | Moves the highlighted Expansion Table entry down.
{MoveHighlightedExpansionTop} | Moves the highlighted Expansion Table entry to the top.
{MoveHighlightedExpansionBottom} | Moves the highlighted Expansion Table entry to the bottom.


Convert Short Forms

The Convert Short Forms dialog enables you to convert the short forms of multiple entries of the currently viewed glossary in one shot. The applied conversion follows your current Short Form Rules.

It is advised to backup your glossary prior to launching the conversion.

Convert Short Forms

To mark selected entries for conversion, you may:

  • click the Mark for Convert button,
  • or simply type M.

To unmark selected entries for conversion, you may:

  • click the Unmark for Convert button,
  • or simply type U.

Note that unlike the main Glossary Viewer window, the Convert Short Forms dialog supports multiple selection: so you may mark all entries for conversion, simply by pressing Ctrl A M.

As an alternative, you can also select the Edit → Mark All Entries menu item. Furthermore, the Edit menu offers other powerful ways to mark or unmark complete sets of entries:

Upon clicking OK, all entries marked for conversion are effectively converted.

To toggle the marking of selected entries you may also use the space bar which comes in handy. Typically you may go through all the displayed entries, one by one, as follows:

  • You use your right hand middle finger:
    • to press the down arrow, whenever you want to put the focus on the next entry.
  • You use your left hand thumb:
    • to hit the space bar, whenever you want to toggle the marking of the focused entry.


Mass Delete Glossary Entries

The Mass Delete dialog enables you to delete multiple entries of the currently viewed glossary in one shot.

To mark selected entries for deletion, you may:

  • click the Mark for Delete button,
  • or simply type M.

To unmark selected entries for deletion, you may:

  • click the Unmark for Delete button,
  • or simply type U.

Note that unlike the main Glossary Viewer window, the Mass Delete dialog supports multiple selection: so you may mark all entries for deletion, simply by pressing Ctrl A M.

Upon clicking OK, all entries marked for deletion are effectively deleted.

To toggle the marking of selected entries you may also use the space bar which comes in handy. Typically you may go through all the displayed entries, one by one, as follows:

  • You use your right hand middle finger:
    • to press the down arrow, whenever you want to put the focus on the next entry.
  • You use your left hand thumb:
    • to hit the space bar, whenever you want to toggle the marking of the focused entry.


Mass Copy Glossary Entries

The Mass Copy dialog enables you to copy multiple entries of the currently viewed glossary to a target glossary in one shot.

To mark selected entries for copy, you may:

  • click the Mark for Copy button,
  • or simply type M.

To unmark selected entries for copy, you may:

  • click the Unmark for Copy button,
  • or simply type U.

Note that unlike the main Glossary Viewer window, the Mass Copy dialog supports multiple selection: so you may mark all entries for copy, simply by pressing Ctrl A M.

Upon clicking OK, all entries marked for copy are effectively copied to the target glossary.

To toggle the marking of selected entries you may also use the space bar which comes in handy. Typically you may go through all the displayed entries, one by one, as follows:

  • You use your right hand middle finger:
    • to press the down arrow, whenever you want to put the focus on the next entry.
  • You use your left hand thumb:
    • to hit the space bar, whenever you want to toggle the marking of the focused entry.


Mass Transfer Glossary Entries

The Mass Transfer dialog enables you to transfer multiple entries of the currently viewed glossary to a target glossary in one shot.

To mark selected entries for transfer, you may:

  • click the Mark for Transfer button,
  • or simply type M.

To unmark selected entries for transfer, you may:

  • click the Unmark for Transfer button,
  • or simply type U.

Note that unlike the main Glossary Viewer window, the Mass Transfer dialog supports multiple selection: so you may mark all entries for transfer, simply by pressing Ctrl A M.

Upon clicking OK, all entries marked for transfer are effectively transferred to the target glossary.

To toggle the marking of selected entries you may also use the space bar which comes in handy. Typically you may go through all the displayed entries, one by one, as follows:

  • You use your right hand middle finger:
    • to press the down arrow, whenever you want to put the focus on the next entry.
  • You use your left hand thumb:
    • to hit the space bar, whenever you want to toggle the marking of the focused entry.


Edit Glossary Includes

While Instant Text makes it very easy to switch between glossaries, it is often desirable to combine several glossaries into one, to be able to access all their entries without needing to switch.

Includes provide a simple way to combine glossaries, while keeping the constituent glossaries separate.

Clicking on the Includes button in the Glossary Viewer opens an Edit Glossary Includes dialog for the currently viewed glossary:

A table with all combined glossaries is displayed:

  • The first column displays:
    • the label Shell for the glossary itself,
    • and the label Include for all its included glossaries.
  • The second column displays the corresponding file paths.

As a result of this combination, the edited glossary contains:

  • its own entries which we call the shell entries,
  • plus all the entries of the included glossaries which we call the included entries.

Including glossaries

You can add several glossaries to include by clicking the Add button, which opens a File Open dialog where you can select multiple glossary files. Note that the added glossaries are appended to the bottom.

Unincluding glossaries

To uninclude a glossary, select it and click the Delete button, or press the Delete key.

Order of Includes

The order of includes matters as combined glossary entries with identical short forms will be ordererd accordingly.

The order can be rearranged using the Up and Down buttons.

Coloring Includes

You can color an include by selecting it and clicking the Change Color button:

You either pick a color from one of the color wheels or click the More Colors button.

The chosen color is used as background color to display all entries that stem from the corresponding include, when displaying the combined glossary entries in the Glossary Viewer Entry Table.

Note that by default the shell glossary has a white background color. This color can be changed in the Glossary Viewer Colors Options.


Merge Glossaries

The Glossary Viewer enables you to merge the currently viewed glossary with other glossaries via the Tools menu. Merging Glossaries consists in combining the glossary entries of several glossaries into one glossary.

Transfer Glossary Entry

The order of merged glossaries matters for expansion glossary entries with the same short form. For a given short form, the glossary entries of the first glossary will be positioned before those of the second, and so on.

Duplicate entries are discarded.

Note that when it comes to combining glossaries, using glossary includes is the preferred way: merging glossaries cannot be undone, while it is easy to uninclude an included glossary.


Compilation Options

Glossary Compilation

The Glossary Viewer offers two ways to compile text into glossary entries via the Tools menu. This helps you enrich glossaries really fast.

Enriching from Clipboard Text Content

One easy way consists in enriching the currently viewed glossary with text that you have copied to the clipboard:

  1. Copy the text you want to compile to the clipboard.
  2. Open the Glossary Viewer.
  3. Select the Tools → Enrich Glossary from Clipboard menu item.
  4. At that point a dialog prompts you for the Clipboard Compilation Settings.
  5. Upon closing the Clipboard Compilation Settings dialog, the results of the compilation get displayed in a window, and you can choose which entries you want to enrich your glossary with.

Enriching from Documents

Even more powerful, you can enrich the currently viewed glossary based on documents that you have typed in the past, via the Tools → Enrich Glossary from Documents menu. It allows you to obtain glossaries that reflect the subjects on which you are writing, with their frequent words and phrases.

To compile a glossary click on the Add button to add the documents you want to compile, update your Compilation Settings if needed, and click on the Compile button.

At the end of the compilation the results of the compilation are displayed in a window, and you can choose which entries you want to enrich your glossary with.


Compilation Options

Glossary Compilation Settings

The Glossary Compilation Settings enable you to steer the Glossary Compilation.

Imposing higher frequencies, for example, will yield less words or phrases. When you enrich a glossary by compiling a large volume of documents, you will set higher frequencies in order to filter out rarely used words and phrases.


Select Enrich Entries

The Select Enrich Entries dialog presents the results of a documents or clipboard content compilation and enables you to choose which entries you effectively want to add to the currently viewed glossary.

Select Enrich Entries

To mark selected entries for enrich, you may:

  • click the Mark for Enrich button,
  • or simply type M.

To unmark selected entries for enrich, you may:

  • click the Unmark for Enrich button,
  • or simply type U.

Upon clicking OK, all entries marked for enrich are effectively added to the current glossary.

To toggle the marking of selected entries you may also use the space bar which comes in handy. Typically you may go through all the displayed entries, one by one, as follows:

  • You use your right hand middle finger:
    • to press the down arrow, whenever you want to put the focus on the next entry.
  • You use your left hand thumb:
    • to hit the space bar, whenever you want to toggle the marking of the focused entry.


Instant Text Screen

The Instant Text Screen is the key window of the Instant Text productivity booster.

Instant Text Screen

It is composed of the following GUI elements:

  • the Instant Text Title Bar with its indicators and buttons,
  • the Expansion Table which suggests expansions and continuations, while you type,
  • and the Glossary Table which displays the list of your ready-to-use glossaries.
Instant Text Screen Anatomy


The Instant Text Title Bar

The Instant Text window has a very narrow Title Bar instead of a classical window caption:

Instant Text Title Bar

When Instant Text takes the focus, you will note that the color of the title bar changes from navy blue to sky blue:

Instant Text Title Bar with focus

Clicking the IT icon IT icon opens the Instant Text system menu. It enables you to minimize or close Instant Text, and you can also decide if you want Instant Text to always stay on top of other windows.

The following indicators show how Instant Text interacts with the current client application:

  • The Linking indicator Linking Indicator indicates if Instant Text is linked.
  • The Docking indicator Docking Indicator indicates if Instant Text is docked.
  • The Capitalization indicator Capitalization Indicator indicates if capitalization is on or off.
  • The Spacing indicator Spacing Indicator indicates if spacing is on or off.

And on the far right of the title bar you will find the following buttons:

  • The Options button Options button opens the Options menu.
  • The Client Configurator button Client Configurator button opens the Client Configurator.
  • The Help button Help button opens the Help menu.
  • The Minimize button Minimize button minimizes Instant Text.
  • The Close button Close button closes Instant Text.

While you will most probably rely on Automatic Docking for positioning Instant Text, you may drag the Instant Text Title Bar to move the window around the screen.


Linking Indicator

Linking Indicator Linking Indicator

The Linking Indicator is a colored round light on the Instant Text title bar.

It indicates whether Instant Text is linked to the current client application.

It is a client context sensitive indicator that gets refreshed every time you switch to a new window.

Linking Off

A round red light is displayed when Instant Text is not linked to the current client application.

Instant Text is not linked when you have configured the current client application not to use Instant Text.

Linking On

A round green light is displayed when Instant Text is linked to the current client application.

When linked, Instant Text will listen to keystrokes and display expansions in the Expansion Table.

Linking Suspended

A round orange light is displayed when Instant Text is linked to the current client application,
but the link is currently suspended.

When the linking is suspended, the Expansion Table will remain empty.

Toggle Linking

Unless you have configured the current client application not to use Instant Text, it is possible to toggle the linking back and forth, between on and suspended.

When the linking is suspended, Instant Text will only react to a Toggle Linking hotkey or a Toggle Focus hotkey. Assuming you are using the Ctrl / Toggle Focus hotkey, you can toggle the linking using the Ctrl /L keyboard shortcut.


Docking Indicator

Docking Indicator Docking Indicator

The Docking Indicator is a colored triangle light on the Instant Text title bar.

It indicates whether Instant Text docks to the current client application window.

It is a client context sensitive indicator that gets refreshed every time you switch to a new window.

No Docking

If you have configured the current client application:

  • not to use Instant Text,
  • or to use Instant Text with manual Instant Text positioning,

then docking is out of scope, it can't be toggled on or off, hence the Docking Indicator is not even displayed.

Docking On

A triangle green light is displayed when Instant Text is docked to the current client application window. Docking on

Docking Off

A triangle red light is displayed when Instant Text is not docked to the current client application window.

Toggle Docking

While working inside a client application window, it is possible to toggle the docking on or off, by pressing Ctrl /D (assuming you are using the Ctrl / Toggle Focus Hotkey).

You may also toggle the docking via an expansion, using the Toggle Docking command.

Note that Instant Text remembers your most recently used Docking Preferences and applies them automatically each time it encounters the same type of window again.


Capitalization Indicator

Capitalization Indicator Capitalization Indicator

The Capitalization Indicator is a round button with a C on the Instant Text title bar.

Capitalization Indicator Description

It indicates whether automatic capitalization is on or off for the current client application focus window.

It is a client context sensitive indicator that gets refreshed every time you switch to a new window.

In the following situations automatic capitalization is out of scope and the Capitalization Indicator is not even displayed:

  • you have disabled automatic capitalization under Automatic Capitalization Options,
  • or you have configured the current client application not to use Instant Text,
  • or the linking to the current client application is currently suspended.

Capitalization On

The Capitalization Indicator displays a green Capitalization Toggle on when capitalization is on for the current client focus window.

Capitalization Off

The Capitalization Indicator displays a red Capitalization Toggle on when capitalization is off for the current client focus window.

Toggle the Capitalization

While working inside a client application window, it is possible to toggle the capitalization on or off:

  • by clicking on the Capitalization Indicator,
  • with the Ctrl 9 Toggle Capitalization hotkey,
  • or with an expansion using the Toggle Capitalization command.

Note that Instant Text remembers your most recently used Capitalization Preferences and applies them automatically each time it encounters the same type of window again.


Spacing Indicator

Spacing Indicator Spacing Indicator

The Spacing Indicator is a round button with an S on the Instant Text title bar.

Spacing Indicator Description

It indicates whether automatic spacing is on or off for the current client application focus window.

It is a client context sensitive indicator that gets refreshed every time you switch to a new window.

In the following situations automatic spacing is out of scope and the Spacing Indicator is not even displayed:

  • you have disabled automatic spacing under Automatic Spacing Options,
  • or you have configured the current client application not to use Instant Text,
  • or the linking to the current client application is currently suspended.

Spacing On

The Spacing Indicator displays a green Spacing Toggle on when spacing is on for the current client focus window.

Spacing Off

The Spacing Indicator displays a red Spacing Toggle on when spacing is off for the current client focus window.

Toggle the Spacing

While working inside a client application window, it is possible to toggle the spacing on or off:

  • by clicking on the Spacing Indicator,
  • with the Ctrl 0 Toggle Spacing hotkey,
  • or with an expansion using the Toggle Spacing command.

Note that Instant Text remembers your most recently used Spacing Preferences, and applies them automatically each time it encounters the same type of window again.


Expansion Table

The Expansion Table displays the Expansion List, the list of the most plausible expansion candidates for the abbreviation you typed. It is is the central visual element of Instant Text.

The Short and Expansion columns respectively display the short and display forms of the expansion candidates.

On the Way to the Expansion

If the expansion you are looking for, is not yet displayed in the Expansion Table, it is recommended to type more letters, as adding more letters to the abbreviation is very likely to narrow the number of expansion candidates.

When you can't think of any more characters to add, you may also Scroll the Expansion List. It allows you to page through the Expansion List, in case it has more expansion candidates than can be displayed by the Expansion Table.

Once the expansion you are looking for, is displayed in the Expansion Table, it is within easy reach:

  • If it is highlighted, you can expand it directly using a Trigger Key.
  • Else, you will first need to move the highlight, before pulling the trigger.

Moving the Highlight

There are several ways to move the highlight, inside the Expansion Table.

Typing a Line Number

The easiest way to highlight a given expansion line, is to type its line number.

Typing More Letters

By adding more letters to the abbreviation, you can narrow down the choice, until the desired expansion appears highlighted on the first line. The coloring of the remaining characters may help you choose the relevant characters.

Refine Pick Lists or Continuations with Initial

When Pick List Items or Continuations are displayed, you can narrow down the choice to those starting with a given letter, by typing that initial letter.

Using the Expansion Table Highlight Hotkeys

You can move the highlight with the Expansion Table Highlight Hotkeys:

  • Pressing the Shift key alone once moves the highlight down one line, and whenever you reach the last displayed line, the next Shift key moves the highlight to the top line.
  • Pressing the Ctrl key alone once moves the highlight up one line, and whenever you reach the top line, the next Ctrl key moves the highlight to the last displayed line.

Note that you need to make sure that Sticky Keys are disabled in the Windows Ease of Access Center.

Using the Mouse

A mouse click on the desired line, highlights it and expands it, in one step.

On a pen system, it is the fastest way, simply tap the desired line.

Fast Access to Glossary Entries

Sometimes you will look at the Expansion Table, and you will see an entry that you want to

  • edit,
  • delete,
  • reposition,
  • or an entry you wonder where it comes from.

In this case simply right‑click the corresponding expansion table line to open the Glossary Viewer with the displayed glossary entry selected in the Glossary Viewer Entry Table.

Or press the Alt Shift = View Hightlighed Expansion Hotkey after having moved the hightlight to the entry of your choice.


Expansion List

When linked to a Client Application, Instant Text keeps track of the typing context, and populates an internal Expansion List of the most plausible expansion candidates for the abbreviation you typed.

The Expansion List is displayed in the Expansion Table.

If the Expansion Table has too few lines to display the complete Expansion List, only the candidates at the top of the list will be displayed. To access the other candidates, the Expansion Table can be scrolled.

Gathering Expansion Candidates

Gathering expansion candidates consists in scanning the Current Glossary, for glossary entries with short forms that encompass the abbreviation you typed and rank them in the following order:

  1. exact matches: the short form matches the abbreviation exactly.
  2. root matches: the short form is the abbreviation plus a few other characters.
  3. superset matches: the short form contains the abbreviation.

In the following example, we have typed atro, and the Expansion Table displays the expansion candidates gathered in the Expansion List, illustrating the various types of matches and their order:

Note, that in case of a single letter abbreviation, the Expansion List only gathers exact matches.

Expansion List for single letter abbreviation

Root matches and Superset matches are gathered, only when the abbreviation has at least two characters.


Expansion Table Scrolling

Most traditional expanders don't allow duplicate short forms. Instant Text with its Expansion Table and Line Number Selection offers a unique combination, that enables you to access several potential expansions for the exact same short form. When you use the Line Number Selection you are effectively scrolling the expansion table. Let us explain how the scrolling works with a visual example.

Suppose you display 10 expansion table lines and type aatt.

The following picture displays the expansion table on the left side and the expansion list on the right side:

Obviously the expansion list contains more expansion candidates than the expansion table can display. As a result, only the top 10 first expansion candidates are displayed. It is just like when you open a big document in a text editor, you will only see as many lines as your window height is able to accomodate, and to see more lines you will need to scroll down using the adequate keyboard shortcuts.

To scroll down the expansion table, you simply type a digit and it moves the range of the displayed expansion candidates accordingly. Typing 7 for example wil shift the range of the shown expansion candidates, so that the new range starts with the expansion that was previously displayed on line 7:


Line Number Selection

The easiest way to highlight an Expansion Table Line among the top 10 is to simply type the corresponding line number digit. As a convention the digit 0 is used for line 10.

So let us assume, you typed ms and the Expansion Table displays the following expansion candidates:

Line Number Selection Example

Typing the digit 5 will highlight the 5th line with multiple sclerosis, which you will then be able to expand with a Trigger Key.

As you can see, the Line Number Selection is a very powerful way to highlight a displayed expansion candidate. There are good chances, you will end up using this mechanism very often.

Ambiguous cases

The presence of digits in short forms can sometimes lead to ambiguous cases, where typing a digit raises the following questions:

  1. Was the digit typed as part of an abbreviation?
  2. Or was it typed to highlight the corresponding line?

As Instant Text is not able to guess, it prioritizes the first option:

Upon typing a digit, Instant Text displays expansions in the following order:

  1. First, expansions that match the abbreviation ending with the digit,
  2. Then, expansions on the line identified by the digit and on the following ones.

Consider, for example, the case where typing ms yields the following expansion candidates:

Line Number Selection ambiguous case

To reach may still try this, you will likely be tempted to type 5, thinking that it will highlight the 5th line, but will end up with muscle strength is 5/5 instead: Line Number Selection ambiguous case

No big deal, just type 2 and the Line Number Selection is now unambiguous:

Line Number Selection unambiguous
See also: Scrolling the Expansion Table


Glossary List

The Glossary List enables you to have a pool of ready-to-use expansion glossaries.

It can be displayed either in a Glossary Table or in a Glossary Drop‑Down List on the Instant Text Title Bar. The location can be configured on a per-application basis in the Client Configurator.

Glossary Table | Glossary Drop‑Down List
Glossary Table | Glossary Dropped-Down List

Abbreviations are always interpreted within the entries of the Current Glossary (the highlighted one). So you may wonder what is the point of heaving the other glossaries in the list.

Purpose of having a Glossary List

Switching to a glossary of the Glossary List will never slow you down. It is instantaneous.

On the other hand, consider a glossary that is not yet pooled in the Glossary List. In order to use it, you will need to first open it, which involves the following steps:

  1. Open the Glossary Menu.
  2. Select the Open menu item.
  3. Browse and select the glossary file you want to open.
  4. Instant Text then loads the glossary file, which can take a few seconds for large glossaries.

None of these time-consuming steps is needed for a glossary that is already pooled in the Glossary List: it is ready-to-use because all the work has already been done beforehand, when joining the Glossary List.

Most common actions

Glossary Table

Right‑clicking the Glossary Table opens the Glossary Menu.

Right‑clicking on the Glossary Table Number Column opens the Lines Menu.

Clicking on the Current Glossary opens it in the Glossary Viewer.

Clicking on a glossary that is not yet the Current Glossary makes it the Current Glossary.

Glossary Drop‑Down List

Right-clicking the Glossary Drop‑Down List opens the Glossary Menu.

Clicking the Glossary Drop‑Down List opens it, displaying the complete Glossary List.
As a second step, clicking on a glossary selects it as Current Glossary, and the Glossary Drop‑Down List closes automatically.


Current Glossary

The Current Glossary is the active Expansion Glossary in the Glossary List.

The other glossaries of the Glossary List are ready-to-use, but inactive.

Abbreviations are always interpreted within the entries of the Current Glossary.

Glossary Table | Glossary Drop-Down List
The Current Glossary is highlighted. | Glossary Drop-Down List The Current Glossary is displayed on the Instant Text title bar.

The Current Glossary changes whenever

  • you open a glossary in the Glossary List,
  • you close the current glossary.
  • or you switch to another glossary inside the Glossary List.

Switching to a Glossary

Switching to a glossary of the Glossary List can be done

  • by clicking on the glossary you want to switch to,
  • or with an expansion or hotkey that makes use of the following commands:
    • Activate Glossary
    • Activate Glossary at Index
    • Drop‑Down Glossary List

The Ctrl 1 to Ctrl 8 Switch Glossary Hotkeys enable you to easily switch back and forth, between the glossaries at position 1 to 8.

For example, in the Glossary List displayed above

  • Ctrl 1 switches to the Address glossary,
  • Ctrl 2 switches to the Business glossary,
  • Ctrl 3 switches to the Medstart glossary,
  • Ctrl 4 switches to the Drugs glossary.

Viewing the Current Glossary

Clicking on the Current Glossary in the Glossary Table opens it in the Glossary Viewer.

You may also select the View Current Glossary menu item in the Glossary Menu.

Another alternative is to press the Alt Shift = View Highlighted Expansion Hotkey.


Reorganize Glossary List

The Reorganize Glossary List dialog enables you to reshape your Glossary List.

To open it, select the Reorganize Glossary List menu item in the Glossary Menu.

When the dialog pops up, it displays the original state of the Glossary List, with an additional File column on the right side, that shows the paths of the glossary files:

Reorganize Glossary List

To change the position of a glossary, select it and click on one of the positioning buttons:

Up | Moves the selected glossary one line up.
Down | Moves the selected glossary one line down.
Top | Moves the selected glossary to the top.
Bottom | Moves the selected glossary to the bottom.

You can add several glossaries by clicking the Add button, which opens a File Open dialog where you can select multiple glossary files. Note that the added glossaries are appended to the bottom.

To delete a glossary, select it and click the Delete button, or press the Delete key.

Clicking the OK button, commits your changes to the Glossary List:

  • the added glossaries are opened,
  • the deleted glossaries are closed,
  • and the glossaries are displayed in the order that you have set up.


Visual Configuration Wizard

With the Visual Configuration Wizard you can configure all visual aspects of the Instant Text Station

Instant Text Station

in three steps:

  1. The Station Fonts page lets you configure fonts of the Expansion and Glossary tables.
  2. The Station Colors page lets you configure colors of the Expansion and Glossary tables.
  3. The Short Form Coloring page lets you define how to color short forms in the Expansion Table.


Station Fonts

The Fonts page enables you to define the table fonts.

Note that the same font is used for both the Expansion and Glossary tables.

Right‑clicking the Expansion and Glossary tables opens a menu that enables you to change the font and lets you decide whether the number column should be visible or not.

Right‑clicking the Expansion and Glossary table number columns opens a menu that enables you to choose the number column font.


Station Colors

The Colors page enables you to define the colors for the tables.

Click on the:

  • Highlight Color,
  • Even Row Color,
  • Odd Row Color

buttons to define the Expansion Table line colors.

You may also right-click the Expansion Table to open a menu that enables you to choose its line colors.

Likewise, right-click the Glossary Table to open a menu that enables you to choose its line colors.


Short Form Coloring

The Short Form Coloring page enables you to choose the color of characters you skipped and characters that you may still type to reach the desired expansion.

Short Form Coloring


Client Configurator

The Client Configurator lets you customize how Instant Text interacts with a specific Client Application. It is displayed when you click on the Client Configurator button Client Configurator button or by typing the Ctrl . keyboard shortcut.

The Client Configurator shows the settings for the current client application.

While it is open, you can switch to the client application of your choice with your mouse or with Alt Tab and the settings for that client application will then be displayed.

Use Instant Text With This Application

Check Use Instant Text With This Application to use Instant Text with the current client application.
If unchecked, Instant Text will not interact at all with the current client application.

By default Instant Text will interact with any client application. You may change that default in the Client Configurator Defaults dialog that you can open by clicking the Defaults button in the lower right corner.

Positioning and Appearance

Instant Text Positioning

You may choose to position Instant Text manually. Then you will need to drag the Instant Text window with your mouse, where you want it to be when working with the current client application. One thing Instant Text will do for you though, is to remember that position, and reapply it every time you switch back to that client application.

Or you may choose to have Instant Text automatically dock to the windows of the current client application with a bottom, left, top or right alignment. Note that while working in the corresponding client application you may still toggle the docking on or off for individual windows. For example, in Notepad you will most probably want Instant Text to dock to the main window, but not to the File Open or Save dialogs.

Glossary List Location

If you have chosen to position Instant Text with left or right alignment to the client, the Glossary List is automatically displayed in a drop-down list on the Instant Text title bar.

Else, if you have chosen to position Instant Text manually or with bottom or top alignement to the client, you may choose between the following glossary list locations:

  • in a glossary table on the right (of the expansion table),
  • in a glossary table on the left (of the expansion table),
  • or in a glossary drop-down list on the Instant Text title bar.

Number Of Expansion Lines

You can choose the number of expansion lines Instant Text should display when working with the current client application.

In practice, while working in your client application you may change the number of lines using the Lines Menu, and Instant Text will remember that this is your preferred number of lines when working with that application.

Linking

Suspend Linking

Checking the Suspend Linking checkbox, suspends linking for the current client application. In practice, you will toggle the linking on or off to achieve the same result.

Disable Capitalization For Current Focus

Checking the Disable Capitalization For Current Focus checkbox, disables the capitalization for the current client focus window. In practice you will toggle the capitalization on or off to achieve the same result.

Disable Spacing For Current Focus

Checking the Disable Spacing For Current Focus checkbox, disables the spacing for the current client focus window. In practice you will toggle the spacing on or off to achieve the same result.

Clipboard Threshold

The Clipboard Threshold defines the threshold above which expansions are produced using the clipboard.

Throttle

The Throttle enables you to reduce the speed at which Instant Text sends chararacters. This can be very useful for Client Applications which can't cope with the speed at which Instant Text expands.


Client Configurator Defaults

To open the Client Configurator Defaults dialog, click on the Defaults button in the Client Configurator.

It enables you to tailor the default interaction of Instant Text with a Client Application that you have not yet configured:

Client Configurator Defaults

You may, for example, decide that the default is not to use Instant Text, in which case Instant Text will not interact with any Client Application until you have configured it otherwise in the Client Configurator.


Client Context

Instant Text always keeps track of the Current Client Application you are working with.

At a more detailed level, Instant Text also keeps track of the following windows:

  • The foreground window is the window that appears in the foreground
    with a highlighted title bar or border to distinguish it from other visible windows.
  • The focus window is the window that is currently receiving keyboard input.

Client Context Sensitivity

Instant Text is client‑context‑sensitive.

It means Instant Text adapts whenever the Client Context changes.

You can customize the interaction between Instant Text and a client application in the Client Configurator.

Some customizations are also done under the hood. Whenever:

  • you switch to a new glossary in your Glossary List,
  • you change the number of lines,
  • you toggle the spacing,
  • you toggle the capitalization,
  • you toggle the docking,
  • you toggle the linking,

Instant Text will remember these settings as your preferred settings for the current client context and apply these settings back when you switch again to the same context.

With a little bit of experience you will see that it is cool to have different settings for different client applications.

Note that for some client applications Instant Text can even remember your preferred Spacing and Capitalization settings for each window inside the client application.

This is only possible if the designers of the client application have assigned distinct window classes to the various windows of their application. Else Instant Text has no way to distinguish the different windows inside the same client application.

For example in Notepad, it is cool to have Spacing and Capitalization on in the main window and have it off in the Save As window where you don't want Instant Text to add space or capitalize when you type the period of the file extension.

window class: The window class is a technical Windows attribute that Software designers assign to the windows of their application. Unfortunately, there are more and more applications where all windows share the same window class.


Client Application

Client application is a generic term we use for any Windows application:

  • a word processor
  • a web browser
  • a mail program
  • a spreadsheet
  • a medical platform
  • virtually any program ...

Current Client Application

In a typical Windows session we keep switching between Client Applications. We type documents in our word processor, from time to time we switch to our mail application, we switch to our web browser, etc. etc.

The Current Client Application is the Client Application you are currently working with.

Instant Text always keeps track of the Current Client Application and adapts to it.

See also: Client Context


Automatic Docking

Automatic Docking is the feature that consists in automatically positioning Instant Text aligned to a side of a Client Application when it becomes the Current Client Application.

It can be configured with the following alignments, on a per-application basis, in the Client Configurator:

Bottom | Bottom alignment
Bottom Left | Bottom left alignment
Bottom Middle | Bottom middle alignment
Bottom Right | Bottom right alignment
Top | Top alignment
Top Left | Top left alignment
Top Middle | Top middle alignment
Top Right | Top right alignment
Left Top | Left top alignment
Left Middle | Left middle alignment
Left Bottom | Left bottom alignment
Right Top | Right top alignment
Right Middle | Right middle alignment
Right Bottom | Right bottom alignment

Note that inside a Client Application, you may still toggle the docking off for some windows that you don't want Instant Text to follow. For example, in Notepad you definitely want to dock to the main window, but not to the File Open or File Save As dialogs.


Docking Menu

The Docking Menu enables you to control the docking to the current client application window.

To open the Docking Menu click on the Docking Indicator.

The left side of the menu displays the current client application window title and icon.

Docking Menu Items

Dock
Undock


Dock

Dock Docking Menu

The Dock menu item docks Instant Text to the current client application window.


Undock

Undock Docking Menu

The Undock menu item undocks Instant Text from the current client application window.


Edit Glossary Entry Menu

Add | Edit Glossary Entry Menu Bar

The Add Glossary Entry and Edit Glossary Entry windows share the same menu bar

Edit Glossary Entry Menu Bar

with the following menus:

Edit Menu
Key Menu
Command Menu
Date Menu
Time Menu
Directive Menu


Edit

Edit Menu Add Glossary Entry Menu Bar

The Edit Menu gives access to the following menu items:

Clear Entry
Find...
Replace...
Find Next
Prettify Entry


Edit->Clear Entry

Use the Clear Entry menu item to clear all fields of the dialog.


Edit->Find

Edit Find...

The Find... menu item enables you to search text inside the expansion.


Edit->Replace...

Replace...

The Replace... menu item enables you to replace text inside the expansion.


Edit->Find Next

The Find Next... menu item repeats the last Find.


Edit->Prettify Entry

The Prettify Entry... menu item makes your expansion more readable by inserting a line break after each command.

The following expansion, for example:

{Alt F8}{Wait}200{/Wait}macro1{Enter}

will be prettyfied as follows:

{Alt F8}
{Wait}200{/Wait}
macro1
{Enter}


Key

Key Menu Add Glossary Entry Menu Bar

Instant Text enables you to simulate any key or key combination, inside an expansion.

The syntax of Key commands is very similar to what is used in many macro languages. For example:

  • {Tab} produces a Tab.
  • {Backspace} produces a Backspace.
  • {F10} produces the F10 function key.
  • {Ctrl C} produces the universal Ctrl C key combination that copies selected text to the clipboard.

While the syntax is fairly easy to memorize, the Key Menu offers you several different ways to easily insert Key commands in your glossary entries:

Record a Key...
Select a Key...
Record in Client


Key->Record a Key...

The Record a Key menu item enables you to record a keyboard shortcut in the following dialog:

Record a Key

At this point, you can type the key or key combination you would like to add as a command,
for example Ctrl B and it will appear in the Command editor: Record a Key

Click the OK button or type Enter to add the command.

If you want to the insert several keys or key combinations in your glossary entry, repeat the same procedure for each key or key combination you want to add. The following command, for example, contains twice the key combination {Ctrl B} and ends with the {Enter} key:

{Ctrl B}Past Medical History{Ctrl B}{Enter}

Once you are familiar with the syntax, you don't necesarily need to record each key or key combination, you may simply type the corresponding text.


Key->Select a Key...

The Select a Key menu item enables you to select a key or key combination in the following dialog:

Select a Key

Here we have selected the Control and Shift modifiers and the F10 key to produce Ctrl Shift F10.


Key->Record in Client

The Record in Client menu item enables you to record a complete sequence of keystrokes typed in the Current Client Application:

Record in Client

Here you can see that in WordPad we:

  1. Toggled the bold font style on using Ctrl B
  2. Typed Past Medical History:
  3. Toggled the bold font style back off using Ctrl B
  4. Hit the Enter key.

Instant Text has recorded the sequence of keystrokes on the fly and displayed the corresponding keystrokes command syntax.


Command

Command Menu Add Glossary Entry Menu Bar

The Command Menu of the Add Glossary Entry window enables you to insert commands in glossary entries: Command Menu

The various commands are categorized as follows:

  • The Snippet commands offer commands related to snippets.
  • The Variable commands offer commands related to variables.
  • The Toggle commands offer commands to toggle some Instant Text features on and off.
  • The Expansion commands offer expansion table related commands.
  • The Glossary commands offer glossary related commands.
  • The Window commands offer commands to minimize, maximize, restore, scroll or activate windows.
  • The Text commands offer text related commands.
  • The Selection commands offer commands which modify selected text.
  • The Clipboard commands offer commands related to the clipboard content.
  • The Pick List commands offer commands to display a list of expansions in the Expansion Table.
  • The Stop & Resume commands enable to stop and resume the expansion flow.
  • The Launch commands enable to launch a program or a file, browse a folder or a web page.
  • The Wait command offers a command to pause the expansion for small amounts of time.
  • The Volume commands enable you to increase, decrease, mute or unmute the volume.

Chaining commands

In a glossary entry you can chain several commands that are produced sequentially when expanding the entry. The following example shows how commands can be chained to execute a Microsoft Word macro:

{Alt F8}
{Wait}200{/Wait}
macro1
{Enter}

The commands of this expansion are produced sequentially as follows:

  • Instant Text produces the Alt F8 keyboard shortcut.
  • Instant Text waits 200 milliseconds giving thereby Microsoft Word the time to popup its Macros window.
  • Instant Text produces macro1 in the macro name editor.
  • Instant Text produces Enter.

With this expansion Instant Text has exactly reproduced the steps that you would do manually.


Command->Snippet

The Snippet submenu offers the following snippet related commands:

Snippet...
Snippet Loop...
Edit Snippet...
View Snippet Glossary


Command->Snippet...

Command Snippet Snippet...

The Snippet command enables you to reference a snippet of the Snippet Glossary that you want to expand inside an expansion.

When selecting the Snippet... menu item, the following dialog will help you choose the wanted snippet:

At expansion time the snippet reference is replaced by the snippet's expansion.

Example

We have defined the following snippet named select-next-word in our Snippet Glossary:

Snippet name | select-next-word
Expansion | {Ctrl Shift Right}
Display as | Select [next word]

and reference it in the following expansion:

{Snippet}select-next-word{/Snippet}{UpperCase}

Its purpose is to uppercase the next word to the right of the current cursor position.

At expansion time the

    {Snippet}select-next-word{/Snippet}

snippet command gets expanded as the referenced snippet's expansion:

    {Ctrl Shift Right}

Then the remainder of the expansion that follows the snippet command is produced:

    {UpperCase}


Command->Snippet Loop...

Command Snippet Snippet Loop...

The SnippetLoop command enables you to reference a snippet of the Snippet Glossary that you want to expand repeatedly inside an expansion.

When selecting the Snippet Loop... menu item, the following dialog will help you choose the wanted snippet:

Snippet Loop Input

At expansion time the referenced snippet is expanded once and then proposed repeatedly as a pick choice in the expansion table.

Practically, you will start an upper case next word loop by expanding the following expansion glossary entry:

Short | unwl
Expansion | {SnippetLoop}uppercase-next-word{/SnippetLoop}
Display as | Upper Case [next word] loop

Upon expanding unwl

  • the uppercase-next-word snippet will get expanded once, uppercasing thereby the next word,
  • and the expansion table will propose uppercasing the next word again via a displayed pick choice:

At that point, if you want to uppercase the next word again, you will do so by hitting your marker key (or space bar for those who expand with the space bar) in a loop, until you are done.

The expansion table will propose uppercasing the next word again and again.

So you may wonder how do I stop this loop? Simply by ignoring the displayed pick choice when you are done. Just continue typing whatever you want to. The fact that the expansion table displays a pick choice does not mean that you mandatorily need to pick something.

Note that if you have placed subsequent text or commands after your SnippetLoop command you will need to press your Resume Hotkey to resume the expansion after the loop.

Example 1

If we have defined the following snippet that uppercases the next word in our Snippet Glossary:

Snippet name | uppercase-next-word
Expansion | {Snippet}select-next-word{/Snippet}{UpperCase}
Display as | Upper Case [next word]

The following expansion using the SnippetLoop command:

{SnippetLoop}uppercase-next-word{/SnippetLoop}

allows to uppercase the words at the right of the current cursor position repeatedly.

Example 2

An alternate way to uppercase the next words is to use a SnippetLoop command that repeats the selection of the next word followed by an UpperCase command that uppercases the whole selection:

{SnippetLoop}select-next-word{/SnippetLoop}{UpperCase}

In this case, once you are done selecting the next words you want to uppercase, you press your Resume Hotkey to resume the expansion with the UpperCase command.


Command->Glossary->Edit Snippet...

Command Snippet Edit Snippet...

The EditSnippet command opens the Edit Glossary Entry Dialog with the specified Snippet Glossary Entry.

When selecting the Edit Snippet... menu item, the following dialog

Edit Snippet Command Input

will help you specify the EditSnippet command parameters:

snippetName | Specify the name of the snippet you want to edit.
resumeUponOK | Indicates if closing the Edit Glossary Entry Dialog with OK should trigger a Resume command.

Example

The following expansion, for example, will open the Edit Glossary Entry Dialog with the doctor_name snippet:

{EditSnippet}
snippetName = "doctor_name"
resumeUponOk = "n"
{/EditSnippet}

This expansion can be useful when you often need to write a doctor's name and it is not always the same. The EditSnippet command makes it handy to edit your snippet on the fly.


Command->Glossary->View Snippet Glossary

Command Snippet View Snippet Glossary

The ViewSnippetGlossary command opens the Snippet Glossary in the Glossary Viewer.

Example

The following expansion opens the Snippet Glossary in the Glossary Viewer.

{ViewSnippetGlossary}


Command->Text

Command Variable

The Variable submenu offers the following variable related commands:

Instant Text Form...
Set Variable...
Edit Variable...
View Variable Glossary


Command->Glossary->Instant Text Form...

Command Variable Instant Text Form...

The InstantTextForm command enables you to display customized forms like the following one:

Instant Text Form example

Upon hitting OK, the input values are stored in specified variables that can be referenced in subsequent expansion text or commands making it easy to produce canned text.

When selecting the Instant Text Form... menu item, you are invited to design your own customized form:

Instant Text Form Command Input

You first choose a form title: in our example we have chosen the title "My little form!".

Then for each input element:

 Input Element

you define the following attributes:

Input Type

The input type specifies the type of input. You can choose between:

  • text which allows any text input.
  • lowercase text which forces the input to be lowercase.
  • uppercase text which forces the input to be uppercase.
  • number which only allows the input of digits.

Input Label

The label is visually associated with the corresponding input element. It is the text displayed to the left of the input editor:

Input Name

The name specifies the name of the variable in which the input will be stored.

The specified variable can then be referenced in subsequent expansion text or commands with its name using the following syntax:

$(name)

Input Value

It defines the initial (default) value of the input. It is optional.

Example

The following expansion displays our example Instant Text Form and produces some canned text with the input that you submit:

{InstantTextForm}
<form title="My little form!" variableGlossary="">
<input type="text" label="First name:" name="first-name"/>
<input type="text" label="Last name:" name="last-name"/>
<input type="number" label="Age:" name="age"/>
<input type="uppercase text" label="Country" name="country" value="USA"/>
{/InstantTextForm}
His name is $(first-name) $(last-name).
He is $(age) years old.
His country of birth is $(country).


Command->Glossary->Set Variable...

Command Variable Set Variable...

The SetVariable command sets the value of a variable identified by its name.

When selecting the Set Variable... menu item, the following dialog

Set Variable Command Input

will help you specify the SetVariable command parameters:

variableName | Specify the name of the variable you want to set.
variableValue | Specify the new variable value.

Example

The following expansion, for example, will set the variable named color to green.

{SetVariable}
variableName = "color"
variableValue = "green"
{/SetVariable}


Command->Glossary->Edit Variable...

Command Variable Edit Variable...

The EditVariable command opens the Edit Glossary Entry Dialog with the specified Variable Glossary Entry.

When selecting the Edit Variable... menu item, the following dialog

Edit Variable Command Input

will help you specify the EditVariable command parameters:

variableName | Specify the name of the variable you want to edit.
resumeUponOK | Indicates if closing the Edit Glossary Entry Dialog with OK should trigger a Resume command.

Example

The following expansion, for example, will open the Edit Glossary Entry Dialog with the color variable:

{EditVariable}
variableName = "color"
resumeUponOk = "n"
{/EditVariable}


Command->Glossary->View Variable Glossary

Command Variable View Variable Glossary

The ViewVariableGlossary command opens the Variable Glossary in the Glossary Viewer.

Example

The following expansion opens the Variable Glossary in the Glossary Viewer.

{ViewVariableGlossary}


Command->Toggle

The Toggle submenu gives access to commands related to Instant Text Toggles:

Toggle Linking
Toggle Docking
Toggle Spacing
Toggle Capitalization


Command->Toggle->Toggle Linking

The ToggleLinking command toggles the linking.


Command->Toggle->Toggle Docking

The ToggleDocking command toggles the docking.


Command->Toggle->Toggle Alignment

The ToggleAlignment command toggles the alignment to the current client application.

Example

Defining a hotkey that expands to:

{ToggleAlignment}

enables you to cycle through the possible alignments. You hit the defined hotkey several times in a row and the alignment changes clockwise:


Command->Toggle->Toggle Capitalization

The ToggleCapitalization command toggles the capitalization.


Command->Toggle->Toggle Spacing

The ToggleSpacing command toggles the spacing.


Command->Expansion

The Expansion submenu gives access to commands that operate on the Expansion Table:

Highlight Next Expansion
Highlight Previous Expansion
Expansion Table Page Down
Expansion Table Page Up
View Highlighted Expansion
Edit Highlighted Expansion
Delete Highlighted Expansion
Move Highlighted Expansion

Note that it only makes sense to use these commands in Hotkey Glossary Entries.

Using these commands in an Expansion Glossary Entry defeats the purpose, because typing an abbreviation changes the Expansion Table before the commands have a chance to be processed.


Command->Expansion->Highlight Next Expansion

The HighlightNextExpansion command highlights the next expansion in the Expansion Table.

Note that you can also directly select the expansions displayed on line number 1 to 10 by typing the corresponding digit. For line 10 the convention is to type 0.


Command->Expansion->Highlight Previous Expansion

The HighlightPreviousExpansion command highlights the previous expansion in the Expansion Table.

Note that you can also directly select the expansions displayed on line number 1 to 10 by typing the corresponding digit. For line 10 the convention is to type 0.


Command->Expansion->Expansion Table Page Down

The ExpansionTablePageDown command scrolls the Expansion Table one page down.

Note that the Expansion Table can also be scrolled by typing a digit.


Command->Expansion->Expansion Table Page Up

The ExpansionTablePageUp command scrolls the Expansion Table one page up.

If you have scrolled down by typing a digit, it is possible to scroll back up by backspacing.


Command->Expansion->View Highlighted Expansion

The ViewHighlightedExpansion command opens the Current Glossary in the Glossary Viewer.

If an Expansion Table Line is currently highlighted, the corresponding glossary entry is displayed in the Glossary Viewer Entry Table.

In the Hotkey Glossary you will find the following entry that uses the ViewHighlightedExpansion command:

Hotkey | Expansion
Alt Shift = | {ViewHighlightedExpansion}


Command->Expansion->Edit Highlighted Expansion

The EditHighlightedExpansion command opens the Edit Glossary Entry Dialog with the glossary entry that is currently highlighted in the Expansion Table, ready to be expanded.

The resumeUponOk parameter enables you to specify further commands that should be produced upon closing the Edit Glossary Entry Dialog with OK.

The following expansion, for example, will open the Edit Glossary Entry Dialog with the highlighted expansion:

{EditHighlightedExpansion}
resumeUponOk = "n"
{EditHighlightedExpansion}

The following expansion, for example, will open the Edit Glossary Entry Dialog with the highlighted expansion and delete the typed abbreviation upon closing the dialog with OK:

{EditHighlightedExpansion}
resumeUponOk = "y"
{EditHighlightedExpansion}
{Stop}
{DeletePreviousWord}

Note that it only makes sense to use the EditHighlightedExpansion command in hotkey expansions, because typing an abbreviation would change the expansions displayed in the expansion table, which would defeat the purpose.


Command->Expansion->Delete Highlighted Expansion

The DeleteHighlightedExpansion command opens the Delete Glossary Entry window with the glossary entry that is currently highlighted in the Expansion Table.

{DeleteHighlightedExpansion}
resumeUponOk = "n"
{DeleteHighlightedExpansion}


Command->Expansion->Move Highlighted Expansion

A glossary entry can be moved up or down inside its glossary, relatively to other entries of that same glossary having the exact same short form.

Move Highlighted Expansion Up

The MoveHighlightedExpansionUp command moves the glossary entry that is currently highlighted up.

{MoveHighlightedExpansionUp}

Move Highlighted Expansion Down

The MoveHighlightedExpansionDown command moves the glossary entry that is currently highlighted down.

{MoveHighlightedExpansionDown}

Move Highlighted Expansion Top

The MoveHighlightedExpansionTop command moves the glossary entry that is currently highlighted to the top.

{MoveHighlightedExpansionTop}

Move Highlighted Expansion Bottom

The MoveHighlightedExpansionBottom command moves the glossary entry that is currently highlighted to the bottom.

{MoveHighlightedExpansionBottom}


Command->Glossary

The Glossary submenu gives access to commands that operate on glossaries:

Activate Glossary...
Activate Glossary at Index
Drop Down Glossary List
Load Glossary...
Close Current Glossary
View Glossary...
View Current Glossary
View Hotkey Glossary
View Pick Glossary
View Prime Glossary
View Shield Glossary
View Snippet Glossary
View Typo Glossary
View Variable Glossary
Add Glossary Entry...
Edit Glossary Includes...
Enrich Glossary...


Command->Glossary->Activate Glossary...

The ActivateGlossary command activates the specified glossary.

Note that the glossary needs to be already loaded in the Glossary List.

Else you need to use the Load Glossary command.

Example

The following expansion activates the Drugs glossary:

{ActivateGlossary}Glossary\Medical\Drugs.xglo{/ActivateGlossary}


Command->Glossary->Activate Glossary at Index

The ActivateGlossaryAtIndex command activates the glossary at the specified position in the Glossary List.

Note that if the Glossary List has less glossaries than the specified position, the ActivateGlossaryAtIndex command will leave the Current Glossary unchanged.

Example

The following glossary entry activates the glossary at position 5:

{ActivateGlossaryAtIndex}5{/ActivateGlossaryAtIndex}


Command->Glossary->Drop Down Glossary List

The DropDownGlossaryList command opens the glossary drop-down list.

Note that when the glossary drop-down list is open, you can easily switch to another glossary using the Up and Down arrow keys, and then hitting the Enter key, which closes the glossary drop-down list.


Command->Glossary->Load Glossary...

The LoadGlossary command loads the specified glossary in the Glossary List.

Note that this command can also be used to switch to a glossary that is already in the Glossary List. It is especially useful when you have more than 8 glossaries and cannot access them all using your Switch Glossary Hotkeys.

Example

The following expansion for example loads the Drugs glossary:

{LoadGlossary}Glossary\Drugs.xglo{/LoadGlossary}


Command->Glossary->Close Current Glossary

The CloseCurrentGlossary command closes the Current Glossary in the Glossary List.


Command->Glossary->View Glossary...

The ViewGlossary command opens the specified glossary in the Glossary Viewer.

You can use this command to view a glossary that is not the Current Glossary without the need to switch to it in the Glossary List. You may also use this command to view a glossary that is not in the Glossary List, an included glossary for example.

Example

The following expansion opens the Drugs glossary in the Glossary Viewer.

{ViewGlossary}Glossary\Medical\Drugs.xglo{/ViewGlossary}


Command->Glossary->View Current Glossary

The ViewCurrentGlossary command opens the Current Glossary in the Glossary Viewer.

Example

The following expansion opens the Current Glossary in the Glossary Viewer.

{ViewCurrentGlossary}


Command->Glossary->View Hotkey Glossary

The ViewHotkeyGlossary command opens the Hotkey Glossary in the Glossary Viewer.

Example

The following expansion opens the Hotkey Glossary in the Glossary Viewer.

{ViewHotkeyGlossary}


Command->Glossary->View Pick Glossary

The ViewPickGlossary command opens the Pick Glossary in the Glossary Viewer.

Example

The following expansion opens the Pick Glossary in the Glossary Viewer.

{ViewPickGlossary}


Command->Glossary->View Prime Glossary

The ViewPrimeGlossary command opens the Prime Glossary in the Glossary Viewer.

Example

The following expansion opens the Prime Glossary in the Glossary Viewer.

{ViewPrimeGlossary}


Command->Glossary->View Shield Glossary

The ViewShieldGlossary command opens the Shield Glossary in the Glossary Viewer.

Example

The following expansion opens the Shield Glossary in the Glossary Viewer.

{ViewShieldGlossary}


Command->Glossary->View Snippet Glossary

The ViewSnippetGlossary command opens the Snippet Glossary in the Glossary Viewer.

Example

The following expansion opens the Snippet Glossary in the Glossary Viewer.

{ViewSnippetGlossary}


Command->Glossary->View Typo Glossary

The ViewTypoGlossary command opens the Typo Glossary in the Glossary Viewer.

Example

The following expansion opens the Typo Glossary in the Glossary Viewer.

{ViewTypoGlossary}


Command->Glossary->View Variable Glossary

The ViewVariableGlossary command opens the Variable Glossary in the Glossary Viewer.

Example

The following expansion opens the Variable Glossary in the Glossary Viewer.

{ViewVariableGlossary}


Command->Glossary->Add Glossary Entry

Command Glossary Add Glossary Entry...

The AddGlossaryEntryDialog command opens the Add Glossary Entry Dialog.

When selecting the Add Glossary Entry... menu item, the following dialog

Add Glossary Entry Command Input

will help you specify the AddGlossaryEntryDialog command parameters:

filename

Specify a target glossary filename to which you want to add.
If you leave it blank, the target glossary will always be the Current Glossary.

input

"none" | Expansion is initialized blank.
"text" | Expansion is initialized with clipboard text.
"rich text" | Expansion is initialized with PasteRichText command to paste the clipboard rich text.
"html" | Expansion is initialized with PasteHtml command to paste the clipboard HTML.

moveToTop

Indicates that the added entry will be moved on top of the entries with which it competes.

resumeUponOK

Indicates if closing the Add Glossary Entry Dialog with OK
should trigger a Resume command.

Example 1

With the following command, you can select the previous word and then open the Add Glossary Entry Dialog, filled with this word:

{Ctrl Shift Left}
{AddGlossaryEntryDialog}
filename = ""
input = "text"
moveToTop = "n"
resumeUponOK = "n"
{/AddGlossaryEntryDialog}

Example 2

With the following command, you can copy the selection and add it to your Typo Glossary:

{CopySelection}
{AddGlossaryEntryDialog}
filename = "Glossary\#Typos.xglo"
input = "text"
moveToTop = "n"
resumeUponOK = "n"
{/AddGlossaryEntryDialog}


Command->Glossary->Edit Glossary Includes...

The EditGlossaryIncludes command enables you to reshuffle the includes of a glossary via an expansion.

When selecting the Edit Glossary Includes... menu item,

  1. a file browser dialog lets you select the glossary for which you want to reshuffle the includes,
  2. then the Edit Glossary Includes Command Input dialog is displayed:

Edit Glossary Includes Command Input

It is similar to the Edit Glossary Includes dialog that you open by clicking the Includes Button of the Glossary Viewer Side Bar.

Clicking the OK button though does not perform the reshuffling of the includes on the spot.

It just prepares the EditGlossaryIncludes command input:

{EditGlossaryIncludes}
<include file="Glossary\Ages.xglo" color="#FBEFF3" />
<shell file="Glossary\Medical Base.xglo" />
<include file="Glossary\Address.xglo" color="#EBEFFA" />
<include file="Glossary\Drugs.xglo" color="#FDFFEA" />
<include file="Glossary\Sutures.xglo" color="#F2FBF6" />
{/EditGlossaryIncludes}

It is only upon expansion of the produced command that the includes reshuffling effectively takes place.

Example

Assuming your main glossary called main.xglo

  • currently includes a dates glossary with dates in US format called Dates_US.xglo,
  • and you would like to switch to dates in US military format as in Dates_US_military.xglo.

You can easily do it with the following expansion:

{EditGlossaryIncludes}
<shell file="Glossary\main.xglo" />
<include file="Glossary\Dates_US_military.xglo" color="#EBF2BF" />
{/EditGlossaryIncludes}

And when you want to switch back to dates in US format you may use the following expansion:

{EditGlossaryIncludes}
<shell file="Glossary\main.xglo" />
<include file="Glossary\Dates_US.xglo" color="#D5EBF6" />
{/EditGlossaryIncludes}

With these two expansions, it is very easy to swap the included dates glossary whenever you need to.


Command->Glossary->Enrich Glossary...

The EnrichGlossary command enables you to enrich a glossary with the clipboard text content.

When selecting the Enrich Glossary... menu item, the following dialog

Enrich Glossary Command Input

will help you specify the Enrich Glossary command parameters:

filename | Specify the filename of the target glossary that you want to enrich. If you leave it blank, the target glossary will always be the Current Glossary.
minFrequencyWords | Specify the minimum word frequency.
minLenWords | Specify the minimum word length.
maxLenWords | Specify the maximum word length.
minFrequencyPhrases | Specify the minimum phrase frequency.
minLenPhrases | Specify the minimum phrase length.
maxLenPhrases | Specify the maximum phrase length.

Example

In the following expansion:

{Ctrl A}
{CopySelection}
{EnrichGlossary}
filename = ""
minFrequencyWords = "1"
minLenWords = "5"
maxLenWords = "50"
minFrequencyPhrases = "2"
minLenPhrases = "4"
maxLenPhrases = "6"
{/EnrichGlossary}
  1. {Ctrl A} selects all the text,
  2. {CopySelection} copies the selection to the clipboard,
  3. and finally {EnrichGlossary} compiles the clipboard text content to enrich the current glossary.


Command->Window

The Window submenu gives access to commands that operate on windows:

Minimize Client
Maximize Client
Restore Client
Minimize Instant Text
Restore Instant Text
Toggle Client Size
Toggle Minimize | Restore Instant Text
Toggle Focus
Scroll Wheel Down
Scroll Wheel Up
Activate Window...


Command->Window->Minimize Client

The MinimizeClient command minimizes the current Client Application window.


Command->Window->Maximize Client

The MaximizeClient command maximizes the current Client Application window.


Command->Window->Restore Client

The RestoreClient command restores the current Client Application window.


Command->Window->Minimize Instant Text

The MinimizeInstantText command minimizes the Instant Text window.


Command->Window->Restore Instant Text

The RestoreInstantText command restores the Instant Text window.


Command->Window->Toggle Client Size

The ToggleClientSize command implements a 3-way toggle between the following 3 states:

  • The Client Application and Instant Text share the full screen together
  • The Client Application takes up the full screen alone, Instant Text is minimized.
  • The Client Application is restored with Instant Text.


Command->Window->Toggle Minimize | Restore Instant Text

Command Window Toggle Minimize | Restore Instant Text

The ToggleMinimizeRestoreInstantText toggles the state of the Instant Text window between the minimized and restored states.


Command->Window->Toggle Focus

The ToggleFocus command enables to toggle the focus between:

  • the Current Client Application
  • and Instant Text.

Example

When you first install Instant Text the Hotkey Glossary comes with an included hotkey glossary named switch_focus_with_control_slash.xglo with the following Toggle Focus Hotkey:

Hotkey | Expansion
Ctrl / | {ToggleFocus}

Having a dedicated Toggle Focus Hotkey is essential. When you want to access the Instant Text menus without using the mouse, it acts as a bridge between the current client application and Instant Text.

With the Ctrl / Toggle Focus hotkey you can, for example, open the Glossary Menu by typing Ctrl / and then Ctrl G or combine the two steps and type Ctrl /G (hold the Ctrl key and type / and then G).


Command->Window->Scroll Wheel

Command Window Scroll Wheel Down | Scroll Wheel Up

The ScrollWheel command simulates a roll of the scroll wheel. The number of notches is specified between {ScrollWheel} and {/ScrollWheel}. Positive values are used to scroll up, negative values to scroll down.

To scroll down 5 notches, you can use the following command:

{ScrollWheel}-5{/ScrollWheel}

To scroll up 5 notches, you can use the following command:

{ScrollWheel}+5{/ScrollWheel}

The Scroll Wheel Down menu item creates a command that simulates a roll of the scroll wheel one notch down while the Scroll Wheel Up menu item creates a command that simulates a roll of the scroll wheel one notch up.


Command->Window->Activate Window...

The ActivateWindow command activates the window with the specified title.

When selecting the Activate Window menu item, the following dialog

Activate Window Command Input

invites you to specify the text that matches or at least partially matches the title of the window you want to activate.

Example

If you have Microsoft Word open, for example, it will be brought to the foreground as a result of the following command:

{ActivateWindow}Microsoft Word{/ActivateWindow}


Command->Text

The Text submenu offers the following text related commands:

Play Text...
Paste Text...
Paste HTML...
Paste Rich Text...
Unicode Text...
Delete Previous Word


Command->Text->Play Text...

The PlayText command produces the specified text by producing the characters one by one.

When selecting the Play Text... menu item, the following dialog

Play Text Command Input

invites you to type the text you want to play.

Instant Text has several methods to produce text.

The two methods that are the most widely used and you should know about are:

  • The PlayText command, which simulates keystrokes one by one just as if you would type them.
  • The PasteText command, which copies the text to produce to the clipboard and requests it to be pasted.

The following three entries displayed in the table below, all produce the word consideration:

Short | Expansion
csd | consideration
csd | {PlayText}consideration{/PlayText}
csd | {PasteText}consideration{/PasteText}

  • The first entry lets Instant Text choose the method to produce the word consideration: the chosen method may depend on the current Client Context. In most cases, Instant Text will internally use PlayText to produce the text. But it may also decide to go for PasteText if the length of the text to expand exceeds the clipboard threshold.
  • The second entry requests that the word consideration be produced using the PlayText command.
  • The third entry requests that the word consideration be produced using the PasteText command.

Basically you will very rarely use the PlayText command. But if for example, for one reason or another, you want to make sure your expansion is NOT produced using the clipboard, the PlayText command is the way to go.


Command->Text->Paste Text...

The PasteText command produces the specified text by copying it to the clipboard and then pasting it.

When selecting the Paste Text... menu item, the following dialog

Paste Text Command Input

invites you to type the text you want to paste.

Example

This command can be useful when you want to avoid the Client Application to reinterpret the text you expand. For example, if you have your Microsoft Word Autocorrect configured to correct solu into solution, expanding sm into Solu-medrol may end up into Solution-medrol instead. To avoid that, you can expand Solu-medrol through the clipboard using the PasteText command.

{PasteText}Solu-medrol{/PasteText}


Command->Text->Paste HTML...

The PasteHtml command produces the specified HTML. It enables you to produce HTML inside a glossary entry.

When selecting the Paste HTML... menu item, the following dialog

Paste HTML Command Input

invites you to paste text that you will have previously copied from an editor that supports the HTML clipboard format (Microsoft Word or any Web Browser for example).


Command->Text->Paste Rich Text...

The PasteRichText command produces the specified Rich Text. It enables you to produce Rich Text inside an expansion.

When selecting the Paste Rich Text... menu item, the following dialog

Paste Rich Text Command Input

invites you to paste formatted text that you will have previously copied from an editor that supports the Rich Text Format (WordPad, for example).

Example

The following example shows the steps to prepare a formatted entry:

  1. As a first step, prepare the formatted text in WordPad, for example:

  2. Select and copy the formatted text to the clipboard.

  3. Select the Command → Text → Paste Rich Text... menu item.

  5. Paste the copied formatted text into the Paste Rich Text window:

  6. Click OK and the PasteRichText command is now part of your expansion:

  7. Finally click OK to save the new glossary entry.

Note that the Add Formatted Entry Hotkey enables you to condense all these steps. All you need to do is select the formatted text you want and press Ctrl Alt =.


Command->Text->Unicode Text...

The Unicode command produces a unicode character identified by its unicode.

When selecting the Unicode Text... menu item, the Unicode Picker enables you to pick the Unicode characters you want

and produces the corresponding Unicode command:

{Unicode}U+3A3{/Unicode}


Command->Text->Delete Previous Word

DeletePreviousWord command deletes the previous word.


Command->Selection

The Selection submenu offers commands which are handy to transform text:

Set Style...
Capitalize
Uncapitalize
Lower Case
Upper Case
Toggle Case
Title Case
Translate...
Replace All...
Trim
Trim Left
Trim Right
Sort Lines...
Remove Blank Lines
Remove Empty Lines
Remove Duplicate Lines
Swiss Knife...


Command->Selection->Set Style...

The SetStyle command changes the style of the selected text.

When selecting the Set Style... menu item, the following dialog

Set Style Command Input

will help you specify the SetStyle command parameters:

fontName | Specify a font name if you want to change the font.
fontWeight | Specify normal or bold if you want to change the font weight.
fontStyle | Specify normal or italic if you want to change the font style.
fontSize | Specify a font size if you want to change the font size.
fontColor | Specify a font color if you want to change the font color.
textDecorationUnderline | Specify if you want change the text underline decoration.
textDecorationLineThrough | Specify if you want change the text strike-through decoration.
textDecorationStyle | Specify the decoration style.

Note that:

{SetStyle}
...
{/SetStyle}

is equivalent to:

{CopySelection}
{SetStyleClipboard}
...
{/SetStyleClipboard}
{Paste}

Example

In the following expansion:

{SetStyle}
fontName = "Consolas"
fontColor = "#FF0000"
{/SetStyle}

the selected text gets formatted with a red Consolas font.


Command->Selection->Capitalize

The Capitalize command capitalizes the first word inside the selected text.

Capitalization is the writing of a word with:

  • its first letter in uppercase
  • and the remaining letters in lowercase.
Word | Capitalized Word
hello | Hello
Hello | Hello
HELLO | Hello

Note that:

{Capitalize}

is equivalent to:

{CopySelection}
{CapitalizeClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left}
{Capitalize}
  1. {Ctrl Shift Left} selects the previous word,
  2. and then {Capitalize} capitalizes it.


Command->Selection->Uncapitalize

The Uncapitalize command uncapitalizes the first word inside the selected text.

A word is capitalized if

  • its first letter is uppercase
  • and the remaining letters are lowercase.

As you can see in the following table, uncapitalizing has no effect on a word if it is not capitalized.

Word | Uncapitalized Word | Effect
Hello | hello | Uncapitalized
hello | hello | Unchanged
HELLO | HELLO | Unchanged

Note that:

{Uncapitalize}

is equivalent to:

{CopySelection}
{UncapitalizeClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left}
{Uncapitalize}
  1. {Ctrl Shift Left} selects the previous word,
  2. and then {Uncapitalize} uncapitalizes it.


Command->Selection->Lower Case

The LowerCase command converts the selected text to lowercase.

Note that:

{LowerCase}

is equivalent to:

{CopySelection}
{LowerCaseClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left}
{LowerCase}
  1. {Ctrl Shift Left} selects the previous word,
  2. and then {LowerCase} lowercases it.


Command->Selection->Upper Case

The UpperCase command converts the selected text to uppercase.

Note that:

{UppperCase}

is equivalent to:

{CopySelection}
{UpperCaseClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left}
{UpperCase}
  1. {Ctrl Shift Left} selects the previous word,
  2. and then {UpperCase} uppercases it.


Command->Selection->Toggle Case

The ToggleCase command toggles the case of the selected text:

Toggling the case consists in:

  • uppercasing each lowercase character and
  • lowercasing each uppercase character.
Text | Case Toggled
hello world | HELLO WORLD
HELLO WORLD | hello world
hello WORLD | HELLO world

Note that:

{ToggleCase}

is equivalent to:

{CopySelection}
{ToggleCaseClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left}
{ToggleCase}
  1. {Ctrl Shift Left} selects the previous word,
  2. and then {ToggleCase} toggles its case.


Command->Selection->Title Case

The TitleCase command converts the case of the selected text using the specified title case style:

Style | Description
Start | Each word is capitalized.
AP | Associated Press style
APA | American Psychology Association style
Chicago | Chicago style
NYT | New York Times style
Wikipedia | Wikipedia style

Note that:

{TitleCase}
...
{/TitleCase}

is equivalent to:

{CopySelection}
{TitleCaseClipboard}
...
{/TitleCaseClipboard}
{Paste}

Example

In the following expansion:

{Ctrl Shift Left 5}
{TitleCase}
titleCaseStyle = "Start"
{/TitleCase}

the title case style "Start" is applied to the 5 previous words.


Command->Selection->Translate...

The Translate command replaces the selected text with its corresponding translation found in the specified glossary.

When selecting the Translate... menu item, the following dialog

Translate Command Input

will help you specify the Translate command parameters:

filename | Specify the glossary file name which should be used for the translations.
preserveCase | Specify if the translation should preserve the original case.

Note that:

{Translate}
...
{/Translate}

is equivalent to:

{CopySelection}
{TranslateClipboard}
...
{/TranslateClipboard}
{Paste}

Example

In the following expansion:

{Translate}
filename = "Glossary\#Typos.xglo"
preserveCase = "y"
{/Translate}

the selected text gets replaced based on its translation in the Typo glossary.


Command->Selection->Replace All...

The ReplaceAll command replaces all occurences of a search string inside selected text.

When selecting the Replace All... menu item, the following dialog

Replace All Command Input

will help you specify the ReplaceAll command parameters:

findWhat | Search string.
replaceWithFormat | Indicates if the replace string is formatted text.
replaceWith | Replace string. Note that in case of a replace with format, the replace string contains the RTF code for the replace string.
wholeWord | Indicates if search matches should be whole words only.
matchCase | Indicates if search should be case sensitive.
preserveCase | Indicates if replaces should preserve the original case of the replaced string.

Note that:

{ReplaceAll}
...
{/ReplaceAll}

is equivalent to:

{CopySelection}
{ReplaceAllClipboard}
...
{/ReplaceAllClipboard}
{Paste}

Example 1

In the following expansion:

{ReplaceAll}
wholeWord = "n"
matchCase = "n"
preserveCase = "n"
findWhat = " "
replaceWithFormat = "n"
replaceWith = "-"
{/ReplaceAll}

spaces are replaced by hyphens inside selected text.

You select ready to use and this expansion will replace it by ready‑to‑use.

Example 2

In the following expansion:

{ReplaceAll}
wholeWord = "n"
matchCase = "n"
preserveCase = "n"
findWhat = "-"
replaceWithFormat = "n"
replaceWith = "&#8209;"
{/ReplaceAll}

hyphens are replaced by non‑breaking hyphens inside selected text.

Example 3

If you write some HTML code, the following expansion:

{ReplaceAll}
wholeWord = "n"
matchCase = "n"
preserveCase = "n"
findWhat = " "
replaceWithFormat = "n"
replaceWith = "&nbsp;"
{/ReplaceAll}

replaces spaces by non‑breaking spaces inside selected text.


Command->Selection->Trim

The Trim command removes leading and trailing whitespace from the selected text.

Note that:

{Trim}

is equivalent to:

{CopySelection}
{TrimClipboard}
{Paste}

Example

The following expansion:

{Trim}

replaces the selected text with its version without leading and trailing whitespace.


Command->Selection->Trim Left

The TrimLeft command removes leading whitespace from the selected text.

Note that:

{TrimLeft}

is equivalent to:

{CopySelection}
{TrimLeftClipboard}
{Paste}

Example

The following expansion:

{TrimLeft}

replaces the selected text with its version without leading whitespace.


Command->Selection->Trim Right

The TrimRight command removes trailing whitespace from the selected text.

Note that:

{TrimRight}

is equivalent to:

{CopySelection}
{TrimRightClipboard}
{Paste}

Example

The following expansion:

{TrimRight}

replaces the selected text with its version without trailing whitespace.


Command->Selection->Sort Lines...

The SortLines command sorts the selected text lines.

When selecting the Sort Lines... menu item, the following dialog

Sort Lines Command Input

will help you specify the SortLines command parameters:

ascending | Specify if you want the lines to be sorted in ascending order.
caseSensitive | Specify if the sorting should be case sensitive.
removeDuplicates | Specify if you want duplicate lines to be removed.

Note that:

{SortLines}
...
{/SortLines}

is equivalent to:

{CopySelection}
{SortLinesClipboard}
...
{/SortLinesClipboard}
{Paste}

Example

The following expansion:

{SortLines}
ascending = "y"
caseSensitive = "n"
removeDuplicates = "n"
{/SortLines}

replaces the selected text by its sorted version in ascending order.


Command->Selection->Remove Blank Lines

The RemoveBlankLines command removes blank lines from the selected text.

Note that:

{RemoveBlankLines}

is equivalent to:

{CopySelection}
{RemoveBlankLinesClipboard}
{Paste}

Example

In the following expansion:

{Ctrl A}
{RemoveBlankLines}
  1. {Ctrl A} selects all the text,
  2. and then {RemoveBlankLines} removes blank lines from the selection.


Command->Selection->Remove Empty Lines

The RemoveEmptyLines command removes empty lines from the selected text.

Note that:

{RemoveEmptyLines}

is equivalent to:

{CopySelection}
{RemoveEmptyLinesClipboard}
{Paste}

Example

In the following expansion:

{Ctrl A}
{RemoveEmptyLines}
  1. {Ctrl A} selects all the text,
  2. and then {RemoveEmptyLines} removes empty lines from the selection.


Command->Selection->Remove Duplicate Lines

The RemoveDuplicateLines command removes Duplicate lines from the selected text.

Note that:

{RemoveDuplicateLines}

is equivalent to:

{CopySelection}
{RemoveDuplicateLinesClipboard}
{Paste}

Example

In the following expansion:

{Ctrl A}
{RemoveDuplicateLines}
  1. {Ctrl A} selects all the text,
  2. and then {RemoveDuplicateLines} removes duplicate lines from the selection.


Command->Selection->Swiss Knife...

The SwissKnife command is a powerful command that enables you to combine several transformations to the selected text.

When selecting the Swiss Knife... menu item, the following dialog

Swiss Knife Command Input

will help you specify the SwissKnife command parameters:

removeLineBreaks

Specify if you want to remove line breaks.

removeEmptyLines

Specify if you want to remove empty lines.

startOfLineTransform

Specify if you want to transform start of lines:

  • Delete means you want to delete the start of line noise.
  • TrimLeft means you want to remove leading whitespace.
  • ReplaceChars indicates that you want to replace start of line noise by startOfLineChar

startOfLineChar

Used when startOfLineTransform = "ReplaceChars".

endOfLineTransform

Specify if you want to transform end of lines:

  • Delete means you want to delete the start of line noise.
  • TrimRight means you want to remove trailing whitespace.
  • ReplaceChars indicates that you want to replace end of line noise by endOfLineChar

endOfLineChar

Used when endOfLineTransform = "ReplaceChars".

linePrefix

Specify a string with which you want to prefix each line.

lineSuffix

Specify a string with which you want to suffix each line.

capitalsSeparateWords

Specify if capitals separate words.

wordSeparator

Specify a word separator string.

letterSeparator

Specify a letter separator character.

replaceHyphensBy

Specify a replacement character for hyphens.

replaceUnderscoresBy

Specify a replacement character for underscores.

Note that:

{SwissKnife}
...
{/SwissKnife}

is equivalent to:

{CopySelection}
{SwissKnifeClipboard}
...
{/SwissKnifeClipboard}
{Paste}


Command->Clipboard

The Clipboard submenu offers commands which are handy to transform the clipboard content.

Empty Clipboard
Copy Selection
Paste
Set Style...
Capitalize
Uncapitalize
Lowercase
Uppercase
Toggle Case
Title Case
Translate...
Replace All...
Trim
Trim Left
Trim Right
Sort Lines...
Remove Blank Lines
Remove Empty Lines
Remove Duplicate Lines
Swiss Knife...


Command->Clipboard->Empty Clipboard

The EmptyClipboard command empties the clipboard.


Command->Clipboard->Copy Selection

The CopySelection command copies the current selection to the clipboard.

Please note that it is safer to use {CopySelection} rather than {Ctrl C}, because it ensures that Instant Text waits for the Client Application to effectively copy the selection, before executing subsequent commands.


Command->Clipboard->Paste

The Paste command pastes the contents of the clipboard.


Command->Clipboard->Set Style...

The SetStyleClipboard command changes the style of the clipboard content.

When selecting the Set Style... menu item, the following dialog

Set Style Command Input

will help you specify the SetStyleClipboard command parameters:

fontName | Specify a font name if you want to change the font.
fontWeight | Specify normal or bold if you want to change the font weight.
fontStyle | Specify normal or italic if you want to change the font style.
fontSize | Specify a font size if you want to change the font size.
fontColor | Specify a font color if you want to change the font color.
textDecorationUnderline | Specify if you want change the text underline decoration.
textDecorationLineThrough | Specify if you want change the text strike-through decoration.
textDecorationStyle | Specify the decoration style.

Example

In the following expansion:

{CopySelection}
{SetStyleClipboard}
fontName = "Consolas"
fontColor = "#FF0000"
{/SetStyleClipboard}
{Paste}

the selected text gets formatted with a red Consolas font.


Command->Clipboard->Capitalize

The CapitalizeClipboard command capitalizes the first word inside the clipboard content.

Capitalization is the writing of a word with:

  • its first letter in uppercase
  • and the remaining letters in lowercase.
Word | Capitalized Word
hello | Hello
Hello | Hello
HELLO | Hello

Example

In the following expansion:

{Ctrl Shift Left}
{CopySelection}
{CapitalizeClipboard}
{Paste}
  1. {Ctrl Shift Left} selects the previous word,
  2. {CopySelection} copies the selection to the clipboard,
  3. {CapitalizeClipboard} capitalizes the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selected word with its capitalized version.


Command->Clipboard->Uncapitalize

The UncapitalizeClipboard command uncapitalizes the clipboard content.

A word is capitalized if

  • its first letter is uppercase
  • and the remaining letters are lowercase.

As you can see in the following table, uncapitalizing has no effect on a word if it is not capitalized.

Word | Uncapitalized Word | Effect
Hello | hello | Uncapitalized
hello | hello | Unchanged
HELLO | HELLO | Unchanged

Example

In the following expansion:

{Ctrl Shift Left}
{CopySelection}
{UncapitalizeClipboard}
{Paste}
  1. {Ctrl Shift Left} selects the previous word,
  2. {CopySelection} copies the selection to the clipboard,
  3. {UncapitalizeClipboard} uncapitalizes the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selected word with its uncapitalized version.


Command->Clipboard->Lower Case

The LowerCaseClipboard command converts the clipboard content to lowercase.

Example

In the following expansion:

{Ctrl Shift Left}
{CopySelection}
{LowerCaseClipboard}
{Paste}
  1. {Ctrl Shift Left} selects the previous word,
  2. {CopySelection} copies the selection to the clipboard,
  3. {LowerCaseClipboard} lowercases the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selected word with its lowercase version.


Command->Clipboard->Upper Case

The UpperCaseClipboard command converts the clipboard content to uppercase.

Example

In the following expansion:

{Ctrl Shift Left}
{CopySelection}
{UpperCaseClipboard}
{Paste}
  1. {Ctrl Shift Left} selects the previous word,
  2. {CopySelection} copies the selection to the clipboard,
  3. {UpperCaseClipboard} uppercases the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selected word with its uppercase version.


Command->Clipboard->Toggle Case

The ToggleCaseClipboard command toggles the clipboard content case.

Toggling the case consists in:

  • uppercasing each lowercase character and
  • lowercasing each uppercase character.
Text | Case Toggled
hello world | HELLO WORLD
HELLO WORLD | hello world
hello WORLD | HELLO world

Example

In the following expansion:

{Ctrl Shift Left}
{CopySelection}
{ToggleCaseClipboard}
{Paste}
  1. {Ctrl Shift Left} selects the previous word,
  2. {CopySelection} copies the selection to the clipboard,
  3. {ToggleCaseClipboard} toggles the case of the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selected word with its case toggled.


Command->Clipboard->Title Case

The TitleCaseClipboard command converts the case of the clipboard content using the specified title case style:

Style | Description
Start | Each word is capitalized.
AP | Associated Press style
APA | American Psychology Association style
Chicago | Chicago style
NYT | New York Times style
Wikipedia | Wikipedia style

Example

In the following expansion:

{Ctrl Shift Left 5}
{CopySelection}
{TitleCaseClipboard}
titleCaseStyle = "Start"
{/TitleCaseClipboard}
{Paste}

the title case style "Start" is applied to the 5 previous words.


Command->Clipboard->Translate...

The TranslateClipboard command replaces the clipboard content with its corresponding translation found in the specified glossary.

When selecting the Translate... menu item, the following dialog

Translate Command Input

will help you specify the TranslateClipboard command parameters:

filename | Specify the glossary file name which should be used for the translations.
preserveCase | Specify if the translation should preserve the original case.

Example

In the following expansion:

{CopySelection}
{TranslateClipboard}
filename = "Glossary\#Typos.xglo"
preserveCase = "y"
{/TranslateClipboard}
{Paste}

the selected text gets replaced based on its translation in the Typo glossary.


Command->Clipboard->Replace All...

The ReplaceAllClipboard command replaces all occurences of a search string inside the clipboard content.

When selecting the Replace All... menu item, the following dialog

Replace All Command Input

will help you specify the ReplaceAllClipboard command parameters:

findWhat | Search string.
replaceWithFormat | Indicates if the replace string is formatted text.
replaceWith | Replace string. Note that in case of a replace with format, the replace string contains the RTF code for the replace string.
wholeWord | Indicates if search matches should be whole words only.
matchCase | Indicates if search should be case sensitive.
preserveCase | Indicates if replaces should preserve the original case of the replaced string.

Example

In the following expansion:

{CopySelection}
{ReplaceAllClipboard}
wholeWord = "n"
matchCase = "n"
preserveCase = "n"
findWhat = " "
replaceWithFormat = "n"
replaceWith = "-"
{/ReplaceAllClipboard}
{Paste}

spaces are replaced by hyphens inside selected text.


Command->Clipboard->Trim

The TrimClipboard command removes leading and trailing whitespace from the clipboard content.

Example

In the following expansion:

{CopySelection}
{TrimClipboard}
{Paste}
  1. {CopySelection} copies the selection to the clipboard,
  2. {TrimClipboard} trims the clipboard content,
  3. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without leading and trailing whitespace.


Command->Clipboard->Trim Left

The TrimLeftClipboard command removes leading whitespace from the clipboard content.

Example

In the following expansion:

{CopySelection}
{TrimLeftClipboard}
{Paste}
  1. {CopySelection} copies the selection to the clipboard,
  2. {TrimLeftClipboard} removes leading whitespace from the clipboard content,
  3. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without leading whitespace.


Command->Clipboard->Trim Right

The TrimRightClipboard command removes trailing whitespace from the clipboard content.

Example

In the following expansion:

{CopySelection}
{TrimRightClipboard}
{Paste}
  1. {CopySelection} copies the selection to the clipboard,
  2. {TrimRightClipboard} removes trailing whitespace from the clipboard content,
  3. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without trailing whitespace.


Command->Clipboard->Sort Lines...

The SortLinesClipboard command sorts the clipboard content lines.

When selecting the Sort Lines... menu item, the following dialog

Sort Lines Command Input

will help you specify the SortLinesClipboard command parameters:

ascending | Specify if you want the lines to be sorted in ascending order.
caseSensitive | Specify if the sorting should be case sensitive.
removeDuplicates | Specify if you want duplicate lines to be removed.

Example

The following expansion:

{CopySelection}
{SortLinesClipboard}
ascending = "y"
caseSensitive = "n"
removeDuplicates = "n"
{/SortLinesClipboard}
{Paste}

replaces the selected text by its sorted version in ascending order.


Command->Clipboard->Remove Blank Lines

The RemoveBlankLinesClipboard command removes blank lines from the clipboard content.

Example

In the following expansion:

{Ctrl A}
{CopySelection}
{RemoveBlankLinesClipboard}
{Paste}
  1. {Ctrl A} selects all the text,
  2. {CopySelection} copies the selection to the clipboard,
  3. {RemoveBlankLinesClipboard} removes blank lines from the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without blank lines.


Command->Clipboard->Remove Empty Lines

The RemoveEmptyLinesClipboard command removes empty lines from the clipboard content.

Example

In the following expansion:

{Ctrl A}
{CopySelection}
{RemoveEmptyLinesClipboard}
{Paste}
  1. {Ctrl A} selects all the text,
  2. {CopySelection} copies the selection to the clipboard,
  3. {RemoveEmptyLinesClipboard} removes empty lines from the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without empty lines.


Command->Clipboard->Remove Duplicate Lines

The RemoveDuplicateLinesClipboard command removes duplicate lines from the clipboard content.

Example

In the following expansion:

{Ctrl A}
{CopySelection}
{RemoveDuplicateLinesClipboard}
{Paste}
  1. {Ctrl A} selects all the text,
  2. {CopySelection} copies the selection to the clipboard,
  3. {RemoveDuplicateLinesClipboard} removes duplicate lines from the clipboard content,
  4. and finally {Paste} pastes the clipboard content,
    thereby overwriting the selection with its version without duplicate lines.


Command->Clipboard->Swiss Knife...

The SwissKnifeClipboard command is a powerful command that enables you to combine several transformations to the clipboard content.

When selecting the Swiss Knife... menu item, the following dialog

Swiss Knife Command Input

will help you specify the SwissKnifeClipboard command parameters:

removeLineBreaks

Specify if you want to remove line breaks.

removeEmptyLines

Specify if you want to remove empty lines.

startOfLineTransform

Specify if you want to transform start of lines:

  • Delete means you want to delete the start of line noise.
  • TrimLeft means you want to remove leading whitespace.
  • ReplaceChars indicates that you want to replace start of line noise by startOfLineChar

startOfLineChar

Used when startOfLineTransform = "ReplaceChars".

endOfLineTransform

Specify if you want to transform end of lines:

  • Delete means you want to delete the start of line noise.
  • TrimRight means you want to remove trailing whitespace.
  • ReplaceChars indicates that you want to replace end of line noise by endOfLineChar

endOfLineChar

Used when endOfLineTransform = "ReplaceChars".

linePrefix

Specify a string with which you want to prefix each line.

lineSuffix

Specify a string with which you want to suffix each line.

capitalsSeparateWords

Specify if capitals separate words.

wordSeparator

Specify a word separator string.

letterSeparator

Specify a letter separator character.

replaceHyphensBy

Specify a replacement character for hyphens.

replaceUnderscoresBy

Specify a replacement character for underscores.


Command->Pick List

The Pick List submenu gives access to different types of Pick commands:

Pick...
Pick Loop...
Pick Expansion...
Quick Pick...
Pick File...
Pick Folder...
Pick Active Glossary...
Pick Window

A Pick command inside an expansion provides a mechanism to:

  1. Stop the expansion at the point where the Pick command is reached.
  2. Display several Pick List Items in the Expansion Table.
  3. Upon selecting and expanding a Pick List Item, the expansion automatically resumes.


Command->Pick List->Pick...

The Pick command displays a Pick List stored in the Pick Glossary in the Expansion Table.

When selecting the Pick... menu item, the following dialog

Pick Command Input

enables you to specify which Pick List the Pick command should display.

The Pick List in this case is the set of entries of the Pick Glossary that share the same Pick Name.

Defining Pick List Items as entries of the Pick Glossary is the recommended way to define Pick Lists:

  • It enables you to reuse the same Pick List across multiple expansions.
  • You can define display forms for Pick List Items, which is not supported by the QuickPick command.

Example

Imagine you want to be able to select alternative colors in the middle of an expansion. The following example shows how to achieve this by inserting a Pick command inside an expansion:

Short | Expansion
iwc | I want a {Pick}color{/Pick} car.

Let us now give a step by step description of how this entry can be expanded:

  1. First you type iwc;
  2. Instant Text expands "I want a ", stops at that point, and displays the color Pick List Pick List in Expansion List
  3. If you want a red car you can then type 4; to select and expand the fourth line with "red".
    The expansion than automatically resumes with " car." and you have typed "I want a red car."

Note that if you don't find the color of your choice in the Pick List, for example, "pink", you can type it instead of selecting and expanding a Pick List Item, and you can then issue a Resume command to continue the expansion.


Command->Pick List->Pick Loop...

The PickLoop command enables you to reference a pick list of the Pick Glossary that you want to display repeatedly inside an expansion.

When selecting the Pick Loop... menu item, the following dialog will help you choose the wanted pick list:

Pick Loop Command Input

At expansion time the referenced pick list is displayed once and then proposed repeatedly.

You may wonder how do I stop this loop? Simply by ignoring the displayed pick list when you are done. Just continue typing whatever you want to. The fact that the expansion table displays a pick list does not mean that you mandatorily need to pick something.

Note that if you have placed subsequent text or commands after your PickLoop command you will need to press your Resume Hotkey to resume the expansion after the loop.


Command->Pick List->Pick Expansion...

The PickExpansion command enables you to pick an expansion from a specified Expansion Glossary.

This command is a very nice aternative to including a glossary. Using the PickExpansion command gives you access to all the expansions of the specified glossary. Everything happens as if you had temporarily switched to the specified glossary for the time of an expansion and then switched back to your current glossary.

When selecting the Pick Expansion... menu item, the following dialog

Pick Expansion Command Input

will help you specify the PickExpansion command parameters:

filename

Specify the filename of the expansion glossary from which to pick.

Example

The following expansion:

{PickExpansion}
filename = "Glossary\General\Dates_MDY-20XX.xglo"
{/PickExpansion}

enables you to pick a date.


Command->Pick List->Quick Pick...

The QuickPick command enables you to display a Pick List with several alternative strings.

Selecting the Quick Pick... menu item, opens the Quick Pick Editor:

Quick Pick Command Input

The alternative strings should be entered each on a single line, in the order in which you want them to be displayed in the Expansion Table.

Example

The following expansion:

I want a
{QuickPick}
blue
yellow
green
red
black
{/QuickPick}
car
  1. produces the text "I want a "
  2. and then displays the Pick List with the alternative colors mentioned inside the QuickPick command: Pick List in Expansion List
  3. Upon picking one of the displayed choices, the expansion resumes and produces the text that follows the QuickPick command: " car".


Command->Pick List->Pick File...

The PickFile command enables you to pick a file on your computer.

It displays a pick list with files located in a specified root folder.

Upon picking a file of the pick list, the path of the picked file is stored in a specified variable.

This variable can then be used to perform an action on that picked file.

Subfolders of the root folder can also be displayed in the pick list.

Picking a subfolder enables you to navigate to the folder where you want to pick a file. In some ways you are using the expansion tables as a file browser!

When selecting the Pick File... menu item, the following dialog

Pick File Command Input

will help you specify the PickFile command parameters:

foldername

Name of the root folder from which you want to start to browse.

filemask

Filemask to specify a pattern the picked file should match.

showSubFolder

Indicates if subfolders should be displayed in the pick list.

The file you want to pick may be located in a child folder of the root folder. Picking subfolders enables you to navigate to the folder where you want to pick a file.

showFileExtensions

Indicates if file extensions should be shown in the displayed pick list.

variableName

Name of the variable that will contain the picked file.

The specified variable can then be referenced in subsequent expansion text or commands with its name using the following syntax:

$(name)

Example: Launch a Desktop Shortcut

The following expansion:

{PickFile}
foldername = "%userprofile%\Desktop"
filemask = "*.lnk"
showSubfolders = "n"
showFileExtensions = "n"
variableName = "picked-file"
{/PickFile}
{Launch}$(picked-file){/Launch}

enables you to pick a shortcut from your Desktop and then launch the corresponding application.


Command->Pick List->Pick Folder...

The PickFolder command enables you to pick a folder on your computer.

It displays a pick list with a specified folder and all its subfolders.

Upon picking a folder of the pick list, the path of the picked folder is stored in the specified variable.

When selecting the Pick Folder... menu item, the following dialog

Pick Folder Command Input

will help you specify the PickFolder command parameters:

foldername

Name of the root folder from which you want to start to browse and pick.

variableName

Name of the variable that will contain the picked folder.

The specified variable can then be referenced in subsequent expansion text or commands with its name using the following syntax:

$(name)

Example: Open an Explorer Window to View a Subfolder of C:\

The following expansion:

{PickFolder}
folderName = "C:\"
variableName = "picked-folder"
{/PickFolder}
{Launch}$(picked-folder){/Launch}

enables you to pick a subfolder of C:\" and then open it in the File Browser.


Command->Pick List->Pick Active Glossary...

The PickActiveGlossary command enables you to pick an active glossary.

It displays a pick list with all the glossaries of the Glossary List.

Optionally the special glossaries:

  • #Hotkeys.xglo
  • #Picks.xglo
  • #Prime.xglo
  • #Shields.xglo
  • #Snippets.xglo
  • #Typos.xglo
  • #Variables.xglo

can be displayed too.

Upon picking a glossary of the pick list, the filename of the picked glossary is stored in a specified variable.

This variable can then be used to perform an action on that picked glossary .

When selecting the Pick Active Glossary... menu item, the following dialog

Pick Active Glossary Command Input

will help you specify the PickActiveGlossary command parameters:

showSpecialGlossaries

Indicates if special glossaries should be displayed in the pick list.

variableName

Name of the variable that will contain the picked glossary.

The specified variable can then be referenced in subsequent expansion text or commands with its name using the following syntax:

$(name)

Example 1: Switching to an Active Glossary

The following expansion:

{PickActiveGlossary}
showSpecialGlossaries = "n"
variableName = "picked-glossary"
{/PickActiveGlossary}
{ActivateGlossary}$(picked-glossary){/ActivateGlossary}

enables you to pick a glossary of the Glossary List and then activate it.

Example 2: Viewing an Active Glossary

The following expansion:

{PickActiveGlossary}
showSpecialGlossaries = "n"
variableName = "picked-glossary"
{/PickActiveGlossary}
{ViewGlossary}$(picked-glossary){/ViewGlossary}

enables you to pick a glossary of the Glossary List and then open it in the Glossary Viewer.


Command->Pick List->Pick Window...

The PickWindow command displays a pick list with the titles of all currently opened appplication windows:

It enables you to easily switch to the wanted window without using the mouse. All you need to do is highlight and expand the corresponding expansion table line.

Example

The following expansion:

{PickWindow}
  1. displays a Pick List with the titles of all currently opened application windows: Pick Window
  2. Upon picking one of the displayed choices, the focus switches to the corresponding application window. To switch to YouTube for example, you may type y followed by a Trigger Key.


Command->Stop & Resume

gives access to the following Stop & Resume commands:

Stop
Resume
Cancel Resume


Command->Stop & Resume->Stop

When Instant Text produces an expansion the text and the interspersed commands are produced, one after the other, in the order in which they appear.

A Stop command stops the expansion flow. What does "stop the expansion flow" mean?

It means that the remainder of the expansion, i.e. the expansion fragment that follows the Stop command is put on hold. In the following expansion, the remainder is displayed surrounded with a red border:

was born in {Stop}and aged {Stop}at the time of the events

Once the expansion has been stopped, the remainder can only be expanded using the Resume command. You are in control of what happens next. You may resume the interrupted expansion whenever you decide to do so: in the meantime you may type and even expand other entries. You may also decide to never expand the remainder and simply forget about it.

Example

When expanding the following expansion:

was born in {Stop}and aged {Stop}at the time of the events
  1. Instant Text produces "was born in " and the expansion stops at that point.
  2. You type "Boston " and then press your Resume Hotkey to resume the expansion.
  3. Instant Text produces "and aged " and the expansion stops at that point.
  4. You type "28 " and then press your Resume Hotkey to resume the expansion.
  5. Instant Text produces "at the time of the events".

At that point you have used the Stop and Resume commands to produce:

was born in Boston and aged 28 at the time of the events


Command->Stop & Resume->Resume

Producing the following commands:

  • Stop
  • Pick
  • QuickPick

stops the expansion flow, which means that the remainder of the expansion, i.e. the expansion fragment that follows the Stop, Pick or QuickPick command, is put on hold.

Below, you will find examples of expansions that will expand with a remainder that is displayed, surrounded with a red border:

was born in {Stop}and aged {Stop}at the time of the events
all of {Pick}his_or_her{/Pick} questions were answered
as {QuickPick}
discussed
described
detailed
{/QuickPick} above

The Resume command enables you to resume an interrupted expansion, and expand the remainder that was put on hold previously.

Whenever you want to resume an expansion that has been interrupted, you will hit your dedicated Resume Hotkey.


Command->Stop & Resume->Cancel Resume

Producing the following commands:

  • Stop
  • Pick
  • QuickPick

stops the expansion flow, which means that the remainder of the expansion, i.e. the expansion fragment that follows the Stop, Pick or QuickPick command, is put on hold.

Below, you will find examples of expansions that will expand with a remainder that is displayed, surrounded with a red border:

was born in {Stop}and aged {Stop}at the time of the events
all of {Pick}his_or_her{/Pick} questions were answered
as {QuickPick}
discussed
described
detailed
{/QuickPick} above

The remainder of an interrupted expansion is pushed on top of a stack, called the Resume Stack, in order to enable the expansion to be resumed via a Resume command.

A CancelResume command clears the Resume Stack, thereby disabling the possibility to resume any outstanding interrupted expansion.


Command->Launch

The Launch submenu gives access to Launch commands which can be used to:

  • launch a program
  • launch a file
  • launch a folder
  • launch an url
Launch a Program...
Launch a File...
Browse a Folder...
Browse a Web Page...


Command->Launch->Launch a Program...

The LaunchExe command enables you to launch a program. You may use it to launch Word or any other application.

When selecting the Launch a Program... menu item, the following dialog

Launch Exe Command Input

will help you specify the Launch command parameters:

filename | Specify the filename of the executable to launch.
commandLine | Specify a command line. It is optional.
waitForTermination | Indicates if the command should wait for the launched program's termination.

Example 1

The following command will launch Notepad for example:

{LaunchExe}
filename = "C:\Windows\notepad.exe"
waitForTermination = "n"
{/LaunchExe}

Example 2

The following command launches the Textware home web page using Firefox:

{LaunchExe}
filename = "C:\Program Files (x86)\Mozilla Firefox\firefox.exe"
commandLine = "https://www.textware.com"
waitForTermination = "n"
{/LaunchExe}

Example 3

The following glossary entry gives an example where the LaunchExe command will wait for the program termination:

{CopySelection}
{LaunchExe}
filename = "D:\TransformClipboardText.exe"
waitForTermination = "y"
{/LaunchExe}
{Paste}

It has three steps:

  1. {CopySelection} copies the selected text to the clipboard.
  2. {LaunchExe} command runs a progam that:
    • reads the text from the clipboard,
    • transforms the text that is read from the clipboard,
    • and finally copies the transformed text, back to the clipboard,
    and waits for it to complete.
  3. and finally {Paste} pastes the text from the clipboard.

In this entry it is essential to wait for the launched program's termination in order to be sure that it has completed its execution, before the Paste command is processed.


Command->Launch->Launch a File...

The LaunchFile command enables you to launch a file. The file will be opened using the associated application. For example, if you launch a spreadsheet, it will be opened using Microsoft Excel.

Example

The following command for example opens a spreadsheet:

{LaunchFile}
filename = "C:\mydata\stats.xls"
{/LaunchFile}


Command->Launch->Browse a Folder...

The LaunchFolder command enables you to browse a folder of your choice.

Example

The following expansion will open Windows Explorer and you will be directly located in your Glossary folder:

{LaunchFolder}
foldername = "C:\InstantTextEXP\Glossary"
{/LaunchFolder}


Command->Launch->Browse a Web Page...

The LaunchUrl command enables you to browse a specified web page with your default internet browser.

Example

The following command, for example, will open the Google web page:

{LaunchUrl}
url = "www.google.com"
{/LaunchUrl}


Command->Wait

The Wait command pauses the expansion for the specified number of milliseconds.

The syntax of the Wait command is {Wait} followed by a wait time in milliseconds, followed by {/Wait}, as in the following example, where the specified wait time is 100 milliseconds:

{Wait}100{/Wait}

Example

The Wait command is especially useful to slow down Instant Text between two commands, when needed. In the following command used in Microsoft Word:

{Alt F8}
{Wait}200{/Wait}
macro1
{Enter}

{Alt F8} triggers a macro window to pop up and we need to introduce a wait time to give Word the time to pop up this macro window before sending the characters m a c r o 1, else these characters may get lost and our expansion may not produce what we designed it for.


Command->Volume

The Volume submenu offers the following commands related to the Volume:

Volume Down
Volume Up
Volume Mute | Unmute


Command->Volume->Volume Up

The VolumeUp command turns the volume up.


Command->Volume->Volume Down

The VolumeDown command turns the volume down.


Command->Volume->Volume Mute | Unmute

Command Volume Volume Mute | Unmute

The VolumeMute command mutes the volume or unmutes it, if it is currently muted.


Date

Date Menu Add Glossary Entry Menu Bar

The Date Menu offers menu items to insert the macros that produce the corresponding date formats.

The dates displayed to the right of the menu items give you a preview of the dates that would be produced right now. These dates are, of course, computed when the expansion takes place.

Yesterday Short Date

The Yesterday Short Date menu item inserts the macro for yesterday's date in the Short Date format.

Yesterday Long Date

The Yesterday Long Date menu item inserts the macro for yesterday's date in the Long Date format.

Today Short Date

The Today Short Date menu item inserts the macro for today's date in the Short Date format.

Today Long Date

The Today Long Date menu item inserts the macro for today's date in the Long Date format.

Tomorrow Short Date

The Tomorrow Short Date menu item inserts the macro for tomorrow's date in the Short Date format.

Tomorrow Long Date

The Tomorrow Long Date menu item inserts the macro for tomorrow's date in the Long Date format.

Custom Date

The Custom Date... menu item starts the Custom Date Time editor, enabling you to combine macros to build the date in the format of your choice.


Time

Time Menu Add Glossary Entry Menu Bar

The Time Menu offers menu items to insert the macros that produce the corresponding time format.

The times displayed to the right of the menu items give you a preview of the times that would be produced right now. These times are of course computed when the expansion takes place.

Short Time

The Short Time menu item inserts the macro for the current time, in the Short Time format.

Long Time

The Long Time menu item inserts the macro for the current time, in the Long Time format.

Custom Time

The Custom Time... menu item starts the Custom Date Time editor, enabling you to combine macros to build the time in the format of your choice.


Directive

Directive Menu Add Glossary Entry Menu Bar

The Directive Menu gives access to the following directives that you may want to add to your expansions when appropriate:

No Spacing After Expansion
No Capitalization After Expansion
Complete Last Word
Reset Typing Context
Declare Typing Context Unchanged


Directive->No Spacing after Expansion

The NoSpacing directive tells Instant Text not to apply spacing after the expansion.


Directive->No Capitalization after Expansion

The NoCapitalization directive tells Instant Text not to capitalize after the expansion.


Directive->Complete Last Word

The CompleteLastWord directive tells Instant Text to suggest a completion to the last word of the expansion.


Directive->Reset Typing Context

The ResetTypingContext directive tells Instant Text to reset the Typing Context.


Directive->Declare Typing Context Unchanged

Upon producing an expansion Instant Text usually:

  • clears the Expansion Table
  • or suggests a Continuation.

The DeclareTypingContextUnchanged directive tells Instant Text not to update the Expansion Table upon producing the expansion.

Example

Imagine we have defined a hotkey with the following expansion:

{ViewHighlightedExpansion}
{Alt E}
{DeclareTypingContextUnchanged}

which opens the Glossary Viewer and then opens the Edit Glossary Entry window to edit the entry that is currently highlighted in the Expansion Table.

If the DeclareTypingContextUnchanged directive is omitted, Instant Text clears the Expansion Table. With the directive you are able to edit the entry, maybe correct a mistake or a typo in it, close the Edit Glossary Entry window and the Glossary Viewer window, and still have the entry displayed in the Expansion Table.


Glossary Menu

The Glossary Menu displays all menu items to work with glossaries.

To open the Glossary Menu right-click on the Glossary Table or on the Glossary Drop‑Down List.

You can also open the Glossary Menu, with the Instant Text Ctrl G keyboard shortcut.

When working in a Client Application, you will need to

  • first press the Ctrl / Toggle Focus Hotkey, to toggle the focus to Instant Text,
  • and then press Ctrl G.

You can also combine the two steps and press Ctrl /G (hold the Ctrl key and press / and then G).

Glossary Menu Items

New...
Open...
Open Recent Glossary
Close Current Glossary
Save As...
Reorganize Glossary List...
View Current Glossary...
View Hotkey Glossary...
View Pick Glossary...
View Prime Glossary...
View Shield Glossary...
View Snippet Glossary...
View Typo Glossary...
View Variable Glossary...
Activate | Deactivate Hotkey Glossary
Activate | Deactivate Prime Glossary
Activate | Deactivate Typo Glossary


New...

New... Glossary Menu

The New... menu item opens a file browser dialog that lets you select a filename and location for the new glossary. It is created as an empty Expansion Glossary. and it is opened in the Glossary List where it becomes the new Current Glossary.


Open...

Open... Glossary Menu

The Open... menu item lets you select and load an existing glossary.

The opened glossary becomes the new Current Glossary in the Glossary List.


Open Recent Glossary

Open Recent Glossary Glossary Menu

The Open Recent Glossary submenu lets you select and open a recently used glossary into the Glossary List.


Close Current Glossary

Close Current Glossary Glossary Menu

The Close Current Glossary menu item closes the Current Glossary

The closed glossary is thereby removed from the Glossary List, and the new Current Glossary is chosen between its successor and predecessor in the Glossary List, in that order of priority.

If closing the Current Glossary results in an empty Glossary List, there is of course no new Current Glossary in this case.


Save As...

Save As...Glossary Menu

The Save As... menu item lets you save the Current Glossary with a new glossary name.

The new glossary with the new name, becomes the new Current Glossary.


Reorganize Glossary List..

Reorganize Glossary List Glossary Menu

The Reorganize Glossary List menu item lets you reorganize the Glossary List.


View Current Glossary...

View Current Glossary... Glossary Menu

The View Current Glossary... menu item opens the Current Glossary in the Glossary Viewer.


View Hotkey Glossary...

View Hotkey Glossary... Glossary Menu

The View Hotkey Glossary... menu item opens the Hotkey Glossary in the Glossary Viewer.


View Pick Glossary...

View Pick Glossary... Glossary Menu

The View Pick Glossary... menu item opens the Pick Glossary in the Glossary Viewer.


View Prime Glossary...

View Prime Glossary... Glossary Menu

The View Prime Glossary... menu item opens the Prime Glossary in the Glossary Viewer.


View Shield Glossary...

View Shield Glossary... Glossary Menu

The View Shield Glossary... menu item opens the Shield Glossary in the Glossary Viewer.


View Snippet Glossary...

View Snippet Glossary... Glossary Menu

The View Snippet Glossary... menu item opens the Snippet Glossary in the Glossary Viewer.


View Typo Glossary...

View Typo Glossary... Glossary Menu

The View Typo Glossary... menu item opens the Typo Glossary in the Glossary Viewer.


View Variable Glossary...

View Variable Glossary... Glossary Menu

The View Variable Glossary... menu item opens the Variable Glossary in the Glossary Viewer.


Activate | Deactivate Hotkey Glossary

Activate|Deactivate Hotkey Glossary Glossary Menu

The Activate Hotkey Glossary and Deactivate Hotkey Glossary menu items let you respectively activate and deactivate the Hotkey Glossary.


Activate | Deactivate Prime Glossary

Activate|Deactivate Prime Glossary Glossary Menu

The Activate Prime Glossary and Deactivate Prime Glossary menu items let you respectively activate and deactivate the Prime Glossary. Both actions trigger a reload of all expansion glossaries:

  • When activating the Prime Glossary, it is automatically included in all reloaded expansion glossaries.
  • When deactivating it, all expansion glossaries are reloaded without automatically including it.


Activate | Deactivate Typo Glossary

Activate|Deactivate Typo Glossary Glossary Menu

The Activate Typo Glossary and Deactivate Typo Glossary menu items let you respectively activate and deactivate the Typo Glossary.


Glossary Viewer Menu

The Glossary Viewer menu bar:

Glossary Viewer Menu Bar

displays the following menus:

File Menu
Edit Menu
View Menu
Tools Menu
Options Menu
Help Menu


File->New...

File New... Glossary Viewer Menu

The New... menu item opens a Create New Glossary dialog. The new glossary is created as an empty glossary of the specified type, and becomes the currently viewed glossary.


File->Open...

File Open... Glossary Viewer Menu

The Open... menu item lets you select and view an existing glossary in a new tab.


File->Open Recent Glossary

File Open Recent Glossary Glossary Viewer Menu

The Open Recent Glossary submenu lets you select and view a recently viewed glossary in a new tab.


File->Close

File Close Viewed Glossary Glossary Viewer Menu

The Close Viewed Glossary menu item closes the Glossary Viewer tab with the currently viewed glossary.


File->Close All Glossaries

File Close All Glossaries Glossary Viewer Menu

The Close All Glossaries menu item closes all the Glossary Viewer tabs.


File->Close All Glossaries except This

File Close All Glossaries except This Glossary Viewer Menu

The Close All Glossaries except This menu item closes all the Glossary Viewer tabs except the tab with the currently viewed glossary.


File->Close All Glossaries to the Right

File Close All Glossaries to the Right Glossary Viewer Menu

The Close All Glossaries to the Right menu item closes all the Glossary Viewer tabs to the right of the currently viewed glossary.


File->Save As...

File Save As... Glossary Viewer Menu

The Save As... menu item lets you save the currently viewed glossary under a new name.

The new glossary with the new name, becomes the currently viewed glossary in the current tab.


File->Import

File Import Glossary Viewer Menu

The Import submenu enables you to convert a foreign glossary into an Instant Text glossary.

Import Foreign Glossary

CSV

When importing a CSV file, Instant Text expects comma separated values with:

  1. the short
  2. the expansion
  3. and the display form

in that order.

Formulas

When importing a Formulas file, Instant Text expects one formula per line.

Each formula has the form:

short = expansion

and produces a glossary entry with the corresponding short and expansion.

Leading spaces before the short, the equal sign and the expansion are ignored.

Lines that do not include an equal sign are ignored.

Text

When importing a Text file, Instant Text expects one expansion per line.

An expansion can be a single word or multiple words.

Short forms are assigned automatically using your Short Form Rules.


File->Exit

File Exit Glossary Viewer Menu

The Exit menu item closes the Glossary Viewer.


Edit->Cut...

Edit Cut... Glossary Viewer Menu

The Cut... menu item opens the Delete Glossary Entry dialog, allowing you to delete the highlighted entry in the currently viewed glossary. And the deleted entry is copied to the clipboard.


Edit->Copy

Edit Copy Glossary Viewer Menu

The Copy menu item copies the highlighted entry in the currently viewed glossary to the clipboard.


Edit->Paste...

Edit Paste... Glossary Viewer Menu

The Paste menu item opens the Add Glossary Entry dialog, taking as input the entry that was previously copied to the clipboard.


Edit->Add...

Edit Add... Glossary Viewer Menu

The Add... menu item opens the Add Glossary Entry dialog, allowing you to add a new glossary entry to the currently viewed glossary.


Edit->Edit...

Edit Edit... Glossary Viewer Menu

The Edit... menu item opens the Edit Glossary Entry dialog, allowing you to edit the highlighted entry in the currently viewed glossary.


Edit->Delete...

Edit Delete... Glossary Viewer Menu

The Delete... menu item opens the Delete Glossary Entry dialog, allowing you to delete the highlighted entry in the currently viewed glossary.


Edit->Move...

Edit Move... Glossary Viewer Menu

The Move... menu opens a Move Expansions dialog, allowing you to reorder glossary entries which share the same short form as the highlighted entry in the currently viewed glossary.

Note: when viewing a Pick glossary you may reorder pick list items which share the same pick list name as the currently highlighted pick list item.


Edit->Transfer

Edit Transfer Glossary Viewer Menu

The Transfer... menu item lets you select a target glossary and opens a Transfer Glossary Entry dialog, allowing you to transfer the highlighted entry from the currently viewed glossary to the target glossary.


Edit->Mass Delete...

Edit Mass Delete... Glossary Viewer Menu

The Mass Delete... menu opens a Mass Delete Glossary Entries dialog, allowing you to delete multiple glossary entries from the currently viewed glossary.


Edit->Mass Copy

Edit Mass Copy Glossary Viewer Menu

The Mass Copy menu lets you select a target glossary and opens a Mass Copy Glossary Entries dialog, allowing you to copy multiple glossary entries from the currently viewed glossary to the target glossary.


Edit->Mass Transfer

Edit Mass Transfer Glossary Viewer Menu

The Mass Transfer menu lets you select a target glossary and opens a Mass Transfer Glossary Entries dialog, allowing you to transfer multiple glossary entries from the currently viewed glossary to the target glossary.


Edit->Edit Includes...

Edit Edit Includes... Glossary Viewer Menu

The Edit Includes... menu item opens the Edit Glossary Includes dialog, allowing you to edit the includes of the currently viewed glossary.


View->Side Bar

View Side Bar Glossary Viewer Menu

The Side Bar menu item enables you to toggle the visibility of the Glossary Viewer Side Bar.


View->Preview

View Preview Glossary Viewer Menu

The Preview menu item enables you to toggle the visibility of the Glossary Viewer Preview Window.


View->Find Bar

View Find Bar Glossary Viewer Menu

The Find Bar menu item enables you to toggle the visibility of the Glossary Viewer Find Bar.


View->Status Bar

View Status Bar Glossary Viewer Menu

The Status Bar menu item enables you to toggle the visibility of the Glossary Viewer Status Bar.


Tools->Enrich Glossary from Clipboard...

Tools Enrich from Clipboard... Glossary Viewer Menu

The Enrich from Clipboard... menu item enables you to enrich the currently viewed glossary with glossary entries obtained by compiling the clipboard text.


Tools->Enrich Glossary from Documents...

Tools Enrich from Documents... Glossary Viewer Menu

The Enrich from Document... menu item enables you to enrich the currently viewed glossary with glossary entries obtained by compiling selected documents.


Tools->Merge...

Tools Merge... Glossary Viewer Menu

The Merge... menu item enables you to merge the currently viewed glossary with other glossaries.


Tools->Convert Short Forms...

Tools Convert Short Forms... Glossary Viewer Menu

The Convert Short Forms... menu item enables you to convert the short forms of entries of the currently viewed glossary, following the Short Form Rules.


Options->Font...

Options Font... Glossary Viewer Menu

The Font... menu item enables you to change the font used in the Glossary Viewer Entry Table.


Options->Colors...

Options Colors... Glossary Viewer Menu

The Colors... menu item opens the Glossary Viewer Colors dialog.


Options->Short Form Rules...

Options Short Form Rules... Glossary Viewer Menu

The Short Form Rules... menu item opens the Short Form Rules dialog, allowing you to define your Short Form Rules.


Help->Viewr Help

Help Viewer Help... Glossary Viewer Menu

The Viewer Help... menu item displays the Glossary Viewer help page.


Help->Keyboard Shortcuts...

Help Keyboard Shortcuts... Glossary Viewer Menu

The Keyboard Shortcuts... menu item displays the Glossary Viewer Keyboard Shortcuts help page.


Help Menu

To open the Help Menu, click or right-click the Help button Help button on the Instant Text title bar.

You can also open the Help Menu with the Instant Text Ctrl H keyboard shortcut.

When working in a Client Application you will need to

  • first press the Ctrl / Toggle Focus Hotkey, to toggle the focus to Instant Text,
  • and then press Ctrl H.

You can also combine the two steps and press Ctrl /H (hold the Ctrl key and press / and then H).

Help Menu Items

Contents...
Keyboard Shortcuts...
Tip du Jour...
Productivity...
About Instant Text...


Contents...

Contents... Help Menu

The Contents... menu item displays the contents of the Instant Text Help system.


Tip du Jour

Tip du Jour... Help Menu

The Tip du Jour... menu item displays the Tip du Jour dialog.


Productivity

Productivity... Help Menu

The Productivity... menu item displays the Productivity dialog showing your productivity numbers.


Rows Menu

Lines Menu

The Lines Menu enables you to change the number of lines of the Expansion Table.

To open the Lines Menu right-click on the line number column:

Lines Number Column

You can also open the Lines Menu, with the Instant Text Ctrl R keyboard shortcut.

When working in a Client Application, you will need to

  • first press the Ctrl / Toggle Focus Hotkey to toggle the focus to Instant Text,
  • and then press Ctrl R.

You can also combine the two steps and press Ctrl /R (hold the Ctrl key and press / and then R).


Linking Menu

The Linking Menu enables you to control the linking to the current client application.

To open the Linking Menu click on the Linking Indicator.

The left side of the menu displays the current client application name and icon.

Linking Menu Items

Link
Unlink
Suspend Link


Link

Link Link Menu

The Link menu item links Instant Text to the current client application window.


Unlink

Unlink Link Menu

The Unlink menu item unlinks Instant Text from the current client application window.


Suspend Link

Suspend Link Link Menu

The Suspend Link menu item suspends the link between Instant Text and the current client application window.


Options Menu

The Options Menu displays all menu items to access the Instant Text options.

To open the Options Menu:

  • click on the Options button Options button on the Instant Text title bar,
  • or right-click on the Expansion Table heading,
  • or right-click any Expansion Table line, if the Expansion Table is empty.

You can also open the Options Menu, with the Instant Text Ctrl O keyboard shortcut.

When working in a Client Application you will need to

  • first press the Ctrl / Toggle Focus Hotkey to toggle the focus to Instant Text,
  • and then press Ctrl O.

You can also combine the two steps and press Ctrl /O (hold the Ctrl key and press / and then O).

Options Menu Items

Visual Configuration Wizard...
Expansion Options...
Automatic Spacing...
Automatic Capitalization...


Visual Configuration Wizard...

Visual Configuration Wizard... Options Menu

The Visual Configuration Wizard... menu item opens the Visual Configuration Wizard which enables the configuration of all visual aspects of the Instant Text Station.


Expansion Options...

Expansion Options... Options Menu

The Expansion Options... menu item opens the Expansions page of the Options dialog where you can configure all options related to the Expansion feature.


Automatic Spacing...

Automatic Spacing... Options Menu

The Automatic Spacing... menu item opens the Spacing & Capitalization page of the Options dialog where you can configure all options related to the Automatic Spacing feature.


Automatic Capitalization...

Automatic Capitalization... Options Menu

The Automatic Capitalization... menu item opens the Spacing & Capitalization page of the Options dialog where you can configure all options related to the Automatic Capitalization feature.


System Menu

To open the System Menu, click on the IT icon IT icon on the left side of the Instant Text title bar.

System Menu Items

Instant Text Always on Top
Minimise
Close


Instant Text Always on Top

Instant Text Always on Top System Menu

The Instant Text Always on Top menu item enables you to check or uncheck the corresponding feature: when checked Instant Text always stays on top of other windows.


Minimise

Minimise System Menu

The Minimise menu item minimises Instant Text.


Close

Close System Menu

The Close menu item closes Instant Text.


Visual Configuration Wizard Menu

The Visual Configuration Wizard Menu enables you to save and load visual configurations.

To open the Visual Configuration Wizard Menu open the Visual Configuration Wizard and click on the little arrow in the upper right corner:

Visual Configuration Wizard Menu

Visual Configuration Wizard Menu Items

Load Visual Configuration...
Save Visual Configuration...


Load Visual Configuration

Load Visual Configuration... Visual Configuration Wizard Menu

The Load Visual Configuration... menu item lets you select a previously saved visual configuration.


Save Visual Configuration

Save Visual Configuration... Visual Configuration Wizard Menu

The Save Visual Configuration... menu item lets you save your current visual configuration in a .wizini file, which is a classic ini file with all the visual configuration settings.


Keyboard Shortcuts

The following table describes the effect of typing Instant Text keyboard shortcuts:

Shortcut | Effect
Shift (alone) | Moves the expansion table highlight down.
Ctrl (alone) | Moves the expansion table highlight up.
Ctrl / | Toggle focus between Instant Text and the Current Client Application.
Ctrl /. | Opens the Client Configurator.
Ctrl /L | Toggles the linking on or off.
Ctrl /D | Toggles the docking on or off.
Ctrl /G | Opens the Glossary Menu.
Ctrl /R | Opens the Lines Menu.
Ctrl /O | Opens the Options Menu.
Alt - | Minimize Restore Toggle for the Instant Text window.
Alt \ | Toggles Client Application window size.
Alt = | Adds a new glossary entry to the Current Glossary.
Ctrl Alt = | Adds a Rich Text Format glossary entry to the Current Glossary.
Alt Shift = | Opens the Glossary Viewer.
Ctrl Space | Deletes the previous word.
Ctrl 1 to Ctrl 8 | Switches to the specified glossary position in the Glossary List.
Ctrl 0 | Toggles Spacing on or off.
Ctrl 9 | Toggles Capitalization on or off.
F8 | Resumes an interrupted expansion.
Shift Space or Escape | Clears Expansion List.


Add Formatted Entry Hotkey

An Add Formatted Entry Hotkey is a Hotkey Glossary Entry that enables you to open the Add Glossary Entry window, taking as input formatted text (Rich Text) that you have selected.

By default, Ctrl Alt = is the Add Formatted Entry Hotkey.

It is defined as follows, using the Add Glossary Entry command:

Add Formatted Entry Hotkey


Add Glossary Entry Hotkey

An Add Glossary Entry Hotkey is a Hotkey Glossary Entry that enables you to open the Add Glossary Entry window, taking as input the text that you have selected.

By default, Alt = is the Add Glossary Entry Hotkey.

It is defined as follows, using the Add Glossary Entry command:

Add Glossary Entry Hotkey


Character Class

In this help, we sometimes refer to the following character classes.

Alphanumeric Character

An alphanumeric character is a character that is either a letter or a number.

Punctuation Mark

. | Period
, | Comma
: | Colon
; | Semi-colon
? | Question Mark
! | Exclamation Mark

Whitespace

Enter

Tab

Space

Non-breaking Space


Custom Date Time Macros

The Custom Date Time Editor can be accessed via the Date and Time menus of the Add Glossary Entry window. It enables you to build any date and any time format by combining the various formats for:

Year Month Week Day Hour Minute Second Millisecond

made available in the corresponding menus as shown in the example below:

Custom Date Time Editor

By default, the custom date and time macros display the current date and the current time at which the expansion takes place. If you want to display another date than the current date, or another time than the current time, the Adjust macros of the Adjust menu let you adjust the date and time:

Adjust Macro | Adjustment
{AdjustYear}-1{/AdjustYear} | date a year ago
{AdjustMonth}-1{/AdjustMonth} | date a month ago
{AdjustWeek}-1{/AdjustWeek} | date 2 weeks later
{AdjustDay}-1{/AdjustDay} | yesterday's date
{AdjustDay}+1{/AdjustDay} | tomorrow's date
{AdjustHour}-1{/AdjustHour} | time an hour ago
{AdjustMinute}-30{/AdjustMinute} | time 30 minutes ago
{AdjustMinute}+30{/AdjustMinute} | time 30 minutes later

Note that the Adjust macros must be placed before the corresponding year, month, week, day, year, hour, minute, second, millisecond macros.


Expansion Table Navigation Hotkeys

Expansion Table Navigation Hotkeys are Hotkey Glossary Entries that enable you to move the highlight inside the Expansion Table.

By default, the following Expansion Table Navigation Hotkeys are defined as follows:

Hotkey | Effect
Lone Shift | Highlights the next expansion by pressing and immediately releasing the shift key with the Highlight Next Expansion command: Highlight Next Expansion Hotkey
Lone Control | Highlights the previous expansion by pressing and immediately releasing the control key with the Highlight Previous Expansion command: Highlight Previous Expansion Hotkey


Glossary Viewer Colors

The Glossary Viewer Options Colors... menu item opens the Glossary Viewer Colors dialog:

There you can define background colors for specific glossary entries displayed in the Glossary Viewer Entry Table. Coloring can help you easily identify where glossary entries stem from.

Shell Color

The Shell Color is the background color that is used to display shell entries.

Include Color

The Include Color is the default color assigned to an include at the time it is added.

#Shields Color

The #Shields Color is the background color that is used to display all entries which stem from the Shield Glossary Shell.

#Prime Color

The #Prime Color is the background color that is used to display all entries which stem from the Prime Glossary Shell.


Edit

Edit Menu Glossary Viewer Menu Bar

The Edit Menu gives access to the following menu items:

Cut...
Copy
Paste...
Add...
Edit...
Delete...
Move...
Transfer
Mass Delete...
Mass Copy
Mass Transfer
Edit Includes...


Edit->File

File Menu Glossary Viewer Menu Bar

The File Menu gives access to the following menu items:

New...
Open...
Open Recent Glossary
Close Viewed Glossary
Close All Glossaries
Close All Glossaries except This
Close All Glossaries to the Right
Save As...
Import
Exit


Help

Help Menu Glossary Viewer Menu Bar

The Help Menu gives access to the following menu items:

Viewer Help...
Keyboard Shortcuts...


Options

Options Menu Glossary Viewer Menu Bar

The Options Menu gives access to the following menu items:

Font...
Colors...
Short Form Rules...


Tools

Tools Menu Glossary Viewer Menu Bar

The Tools Menu gives access to the following menu items:

Enrich from Clipboard...
Enrich from Documents...
Merge...


View

View Menu Glossary Viewer Menu Bar

The View Menu gives access to the following menu items:

Side Bar
Preview
Find Bar
Status Bar


About Instant Text...

About Instant Text... Help Menu

The About Instant Text... menu item displays a dialog box showing:

  • version information
  • serial number information
  • copyright information
  • configuration information (user folder and ini file)
About Instant Text


Keyboard Shortcuts...

Keyboard Shortcuts... Help Menu

The Keyboard Shortcuts... menu item displays the Keyboard Shortcuts help page.


Productivity

The Productivity dialog displays your productivity numbers:

There are two sets of productivity numbers:

  • The SESSION column records keystrokes and savings for the current session.
  • The HISTORY column provides this data for as far back as you wish until you click on Reset History.

The following stats are computed as follows:

Percent Saved: | Keystrokes Saved divided by Characters Obtained
Productivity Gain: | Keystrokes Saved divided by Keystrokes Typed
Characters per Keystroke: | Characters Obtained divided by Keystrokes Typed


Reset Typing Context Hotkey

A Reset Typing Context Hotkey is a Hotkey Glossary Entry that enables you to reset the Typing Context.

By default, the Hotkey Glossary includes reset_typing_context_with_shift_space.xglo which defines Shift Space as a Reset Typing Context Hotkey using the Reset Typing Context directive:

Reset Typing Context Hotkey


Resume Hotkey

A Resume Hotkey is a Hotkey Glossary Entry that enables you to resume an interrupted expansion.

By default, F8 is the Resume Hotkey.

It is defined as follows, using the Resume command:


Short and Long Date and Time Formats

The date and time formats:

  • Short Date
  • Long Date
  • Short Time
  • Long Time

used in the Date and Time macros are defined systemwide in the Windows Control Panel under:

  • Region and Language for Windows 7
  • Region for Windows 10 Region and Language (Windows 7)

Note that you can have alternate date and time formats in your expansions, without changing these systemwide formats, using the powerful Custom Date Time macros.


Switch Glossary Hotkeys

Switch Glossary Hotkeys are Hotkey Glossary Entries that enable you to easily switch between glossaries of the Glossary List.

By default, the Hotkey Glossary includes switch_glossary_with_control_digit.xglo which defines a set of hotkeys which enable you to switch between the glossaries at position 1 to 8 using Ctrl Digit.

Switch Glossay with Control Digit

As an alternative you may also use switch_glossary_with_control_shift_digit.xglo which defines a set of hotkeys which enable you to switch between the glossaries at position 1 to 8 using Ctrl Shift Digit.

Switch Glossay with Control Digit

Or may you create a Hotkey Glossary with your own set of Switch Glossary Hotkeys. and include it in the hotkey shell glossary instead of the default one.


Tip du Jour

The Tip du Jour dialog displays a tip about Instant Text.

Tip du Jour

You can browse through the tips using the Previous and Next buttons.


Toggle Capitalization Hotkey

A Toggle Capitalization Hotkey is a Hotkey Glossary Entry that enables you to toggle the capitalization.

By default, Ctrl 9 is the Toggle Capitalization Hotkey.

It is defined as follows, using the Toggle Capitalization command:

Toggle Capitalization Hotkey


Toggle Focus Hotkey

A Toggle Focus Hotkey is a Hotkey Glossary Entry that enables you to toggle the focus between Instant Text and the Current Client Application.

By default, Ctrl / is the Toggle Focus Hotkey.

It is defined as follows, using the Toggle Focus command:

Toggle Focus Hotkey

You may of course edit the Hotkey Glossary and define another Toggle Focus hotkey.

Having a dedicated Toggle Focus Hotkey is essential. When you want to access the Instant Text menus without using the mouse, it acts as a bridge between the current client application and Instant Text.

With the Ctrl / Toggle Focus hotkey, you can for example open the Glossary Menu by typing Ctrl / and then Ctrl G or combine the two steps and type Ctrl /G (hold the Ctrl key and type / and then G).


Toggle Focus Hotkey

Toggle Linking Hotkey

A Toggle Linking Hotkey is a Hotkey Glossary Entry that enables you to toggle the linking using the Toggle Linking command.


Toggle Spacing Hotkey

A Toggle Spacing Hotkey is a Hotkey Glossary Entry that enables you to toggle the spacing.

By default, Ctrl 0 is the Toggle Spacing Hotkey.

It is defined as follows, using the Toggle Spacing command:

Toggle Spacing Hotkey


Transform Text

What is the best practice when creating an Instant Text entry that transforms text?

To elaborate on this topic, we will create a simple Instant Text entry that uppercases text.

Let us distinguish the cases where the text to transform is:

  • already selected
  • not yet selected

1. Text to Transform Is Already Selected

1.1. Typing a short form is a no go. It destroys the selection!

Typing a short form while the text to transform is already selected is not an option because it overrides the selection. To see it yourself, create an entry using the Upper Case command:

Short | Expansion
uc | {UpperCase}

Expand that entry to uppercase the selected words united states:

You will see that typing uc; overrides the selection before the UpperCase command has a chance to do its job.

1.2. Creating a hotkey

To circumvent the fact that typing a short form overrides the selection, create a Hotkey Glossary Entry instead:

Short | Expansion
Ctrl U | {UpperCase}

Typing Ctrl U does not override the selection which allows the UpperCase command to do its job.

2. Text to Transform Is Not Yet Selected

2.1. Add selection commands inside your entry

With no selection yet, we need to insert keyboard commands to establish the selection before the UpperCase command. The following entries are designed to uppercase 1, 2 or 3 words to the left of the cursor:

Short | Expansion
uc1 | {Ctrl Shift Left 1}{UpperCase}
uc2 | {Ctrl Shift Left 2}{UpperCase}
uc3 | {Ctrl Shift Left 3}{UpperCase}

The drawback of this approach is that you need different expansions for different selections.

2.2. Stop (to allow selection) & Resume (with transformation)

A subtle trick is to insert a Stop command before the UpperCase command:

Short | Expansion
uc | {Stop}{UpperCase}

Expanding this entry allows you to uppercase the text in 2 steps.

  1. It stops immediately, letting you the time to select whatever text portion you want to uppercase next.
  2. Once you have made your selection, you resume the expansion by pressing your Resume Hotkey F8. Being a hotkey F8 does not override the selection which allows the UpperCase command to do its job.

3. Best Practice

We consider the expansion using Stop & Resume (see 2.2.) to be the best practice.

  • Only one entry is required regardless of the number of words to transform.
  • You can type a short form to expand and don't need to dedicate a hotkey.

If you do a lot of editing, you will probably create a lot of valuable Instant Text entries that transform text. All these entries can be built on the same model as the entry to uppercase text. A good exercice to test your understanding could be to create an entry that "title cases" text, for example.


Typing Acronyms

Typing acronyms will require you to temporarily toggle off, both spacing and capitalization, which can be cumbersome. The Instant Text way to deal with acronyms, is to produce them with an expansion.

For example, expanding pobid into p.o. b.i.d.

Short | Expansion
pobid | p.o. b.i.d.

will be a lot faster than

  • toggling capitalization and spacing off,
  • typing p.o. b.i.d.
  • and toggling capitalization and spacing back on again,

with the following key sequence: Ctrl 0 Ctrl 9 p.o. b.i.d. Ctrl 0 Ctrl 9


Variables

Variables are used to store values.

A variable consists in:

  • a name that uniquely identifies the variable,

  • and an associated value

Variable Reference

Variables can be referenced inside expansion text or command parameters using the following syntax:

$(name)

When an expansion is produced, a variable name reference is replaced by the corresponding variable value.

Example 1

I you have defined the following variable:

Variable name | Variable value
city | New York

then the following expansion:

I live in $(city)!

will produce I live in New York!.

Example 2

I you have defined the following variable:

Variable name | Variable value
editor | C:\WINDOWS\system32\notepad.exe

then the following expansion using the Launch command:

{Launch}
filename = "$(editor)"
{/Launch}

will launch Notepad.


View Highlighted Expansion Hotkey

A View Highlighted Expansion Hotkey is a Hotkey Glossary Entry that enables you to display the highlighted Expansion Table Line in the Glossary Viewer Entry Table

By default, Alt Shift = is the View Highlighted Expansion Hotkey.

It is defined as follows, using the View Highlighted Expansion command:

View Highlighted Expansion Hotkey